﻿#pragma once

#ifndef $KERNEL_UTILS_H
   #error "This header file is designed to be included only from 'KernelUtils.h'."
#endif

//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// STRING OPERATIONS:
//
//==================================================================================================

size_t $StrLength($PCSZ pcsz);
BOOLEAN $StrCopy(OUT $PSZ pszDest,size_t cchDest,$PCSZ pcszSource);
BOOLEAN $StrPrintf(OUT $PSZ pszDest,size_t cchDest,$PCSZ pcszFormat, ... );
BOOLEAN $StrVPrintf(OUT $PSZ pszDest,size_t cchDest,$PCSZ pcszFormat,va_list argList);

size_t $StrLengthA($PCASZ pcasz);
BOOLEAN $StrCopyA(OUT $PASZ paszDest,size_t cchDest,$PCASZ pcaszSource);
BOOLEAN $StrPrintfA(OUT $PASZ paszDest,size_t cchDest,$PCASZ pcaszFormat, ... );
BOOLEAN $StrVPrintfA(OUT $PASZ paszDest,size_t cchDest,$PCASZ pcaszFormat,va_list argList);

//--------------------------------------------------------------------------------------------------

BOOLEAN $StrUsCopy( OUT PUNICODE_STRING pustr,
                    $PSZ pszDest, size_t cchDest,
                    $PCSZ pcszSource );
BOOLEAN $StrUsPrintf( OUT PUNICODE_STRING pustr,
                      $PSZ pszDest, size_t cchDest,
                      $PCSZ pcszFormat, ... );
BOOLEAN $StrUsVPrintf( OUT PUNICODE_STRING pustr,
                       $PSZ pszDest, size_t cchDest,
                       $PCSZ pcszFormat, va_list argList );

//==================================================================================================
