﻿//**************************************************************************************************
//
// DEFINITION OF VERSION INFORMATION CONSTANTS.
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#pragma once

#ifndef $VERSION_INFO_DEFS_H
#define $VERSION_INFO_DEFS_H

//==================================================================================================

#include "KeyDefs.PP.h"


//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// Version constants:
//
//==================================================================================================

#define $VER_VERSION_STRING \
   $STRINGIZE($VER_MAJOR_VERSION) "." $STRINGIZE($VER_MINOR_VERSION  ) "." \
   $STRINGIZE($VER_BUILD_NUMBER ) "." $STRINGIZE($VER_REVISION_NUMBER)


//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// Assembly attribute constants :
//
//==================================================================================================

#ifndef $VER_ASSEMBLY_CONFIGURATION
   #if _DEBUG
      #define $VER_ASSEMBLY_CONFIGURATION    "Debug"
   #else
      #define $VER_ASSEMBLY_CONFIGURATION    "Release"
   #endif
#endif


//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// Resource constants :
//
//==================================================================================================

#ifndef $VER_FILEFLAGS
   #define $VER_FILEFLAGS           (0x00000000u)
#endif

#ifndef $VER_FILEFLAGSMASK
   #define $VER_FILEFLAGSMASK       VS_FFI_FILEFLAGSMASK
#endif

#ifndef $VER_FILEOS
   #define $VER_FILEOS              VOS_NT_WINDOWS32
#endif

#ifndef $VER_FILESUBTYPE
   #define $VER_FILESUBTYPE         VFT_UNKNOWN
#endif

//--------------------------------------------------------------------------------------------------

#ifndef $VER_FILE_VERSION
   #define $VER_FILE_VERSION        $VER_VERSION_STRING
#endif

#ifndef $VER_PRODUCT_VERSION
   #define $VER_PRODUCT_VERSION     $VER_VERSION_STRING
#endif

//==================================================================================================

#endif // $VERSION_INFO_DEFS_H
