@echo off
if "%~0"=="CLEAN_ALL.cmd" goto START
cls

echo 
echo  REMOVING ALL OUTPUT AND INTERMEDIATE FILES/FOLDERS: 

:START
setlocal
set errorlevel=0
set errorlevel=

call #SETTINGS.cmd
if %errorlevel% neq 0 goto ERROR

call $WDKBUILD.cmd "CleanAll"
if %errorlevel% neq 0 goto ERROR

call :DELETE_FILE "%#LibPath_x86_C%"
if %errorlevel% neq 0 goto ERROR

call :DELETE_FILE "%#LibPath_x86_F%"
if %errorlevel% neq 0 goto ERROR

call :DELETE_FILE "%#LibPath_x64_C%"
if %errorlevel% neq 0 goto ERROR

call :DELETE_FILE "%#LibPath_x64_F%"
if %errorlevel% neq 0 goto ERROR

:DONE
if "%~0"=="CLEAN_ALL.cmd" goto FINISH
echo.
echo 
goto FINISH

rem ================================================================================

:DELETE_FILE
if not exist "%~1" goto :EOF
echo.
echo * Deleting file: "%~1" ...
del/q "%~1"
if not exist "%~1" goto :EOF
set errorlevel=1
goto :EOF

rem ================================================================================

:ERROR
if "%~0"=="CLEAN_ALL.cmd" goto SET_ERROR
echo 
pause

:SET_ERROR
endlocal
set errorlevel=1
goto :EOF

:FINISH
endlocal
set errorlevel=0
set errorlevel=
if "%~0"=="CLEAN_ALL.cmd" goto :EOF
echo.
pause
goto :EOF

rem ================================================================================
