@echo off
if "%~0"=="#SETTINGS.cmd" goto SET_ENVIRONMENT

echo.
echo ## Incorrect call of "#settings.cmd" (auxiliary batch).
echo 
pause
exit

rem ================================================================================

:SET_ENVIRONMENT

set #ExportArchitecture=x86
set #ExportConfiguration=Release

rem ================================================================================

if /i "%#ExportArchitecture%|%#ExportConfiguration%" == "x86|Debug"   goto SET_X86_DEBUG
if /i "%#ExportArchitecture%|%#ExportConfiguration%" == "x86|Release" goto SET_X86_RELEASE
if /i "%#ExportArchitecture%|%#ExportConfiguration%" == "x64|Debug"   goto SET_X64_DEBUG
if /i "%#ExportArchitecture%|%#ExportConfiguration%" == "x64|Release" goto SET_X64_RELEASE
goto INCORRECT_EXPORT_ARCH_CONFIG

rem ================================================================================

:SET_X86_DEBUG
set #ExportRebuildCmdBatchXName=REBUILD_D.cmd
set #ExportRebuildCmdBatchXName_CPP=REBUILD_X86_R.cmd
set #ExportRebuildCmdBatchXName_Driver=REBUILD_X86_C.cmd
goto :EOF

:SET_X86_RELEASE
set #ExportRebuildCmdBatchXName=REBUILD_R.cmd
set #ExportRebuildCmdBatchXName_CPP=REBUILD_X86_R.cmd
set #ExportRebuildCmdBatchXName_Driver=REBUILD_X86_F.cmd
goto :EOF

:SET_X64_DEBUG
set #ExportRebuildCmdBatchXName=REBUILD_D.cmd
set #ExportRebuildCmdBatchXName_CPP=REBUILD_X64_R.cmd
set #ExportRebuildCmdBatchXName_Driver=REBUILD_X64_C.cmd
goto :EOF

:SET_X64_RELEASE
set #ExportRebuildCmdBatchXName=REBUILD_R.cmd
set #ExportRebuildCmdBatchXName_CPP=REBUILD_X64_R.cmd
set #ExportRebuildCmdBatchXName_Driver=REBUILD_X64_F.cmd
goto :EOF

rem ================================================================================

:INCORRECT_EXPORT_ARCH_CONFIG
echo.
echo ## Incorrect export architecrute or configuration.
goto ERROR

rem ================================================================================

:ERROR
set errorlevel=1
goto :EOF

rem ================================================================================
