﻿#include "Precompiled.h"
#include "SharedIncludes.h"

#include <KernelUtils.PagedSegmentsOn.h>

//==================================================================================================
// Закрытие файла устройства:
//--------------------------------------------------------------------------------------------------
void Driver_EvtFileClose
(
   WDFFILEOBJECT hFileObject
)
{
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

   PDRIVER_FDO_DATA  pFdoData;

   UNREFERENCED_PARAMETER(hFileObject);

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
   $DBG_PRINT_IN_FUNCTION();
   PAGED_CODE();
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

   pFdoData = Driver_FdoGetData( WdfFileObjectGetDevice(hFileObject) );

   if (pFdoData->FileInitialized)
   {
      Driver_DeviceDeactivate(pFdoData);
      pFdoData->FileInitialized = FALSE;
   }

   pFdoData->FileCreated = FALSE;
   $DBG_PRINT_INFORMATION("Файл на устройстве закрыт.");

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
   $DBG_PRINT_OUT_OF_FUNCTION();
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
}
//==================================================================================================
