﻿#include "Precompiled.h"
#include "SharedIncludes.h"

namespace ShaperAccess {

//==================================================================================================

bool ShaperDevice::IsValidRegAddress(UInt32 uRelativeAddress)
{
   return
      uRelativeAddress % (UInt32)sizeof(UInt32) == 0u &&
      $BETWEEN_( uRelativeAddress,
         SHAPER_MIN_REG_ADDRESS, SHAPER_MAX_REG_ADDRESS );
}

//==================================================================================================

} // ShaperAccess
