@echo off
if "%~0"=="REBUILD_X86_R.cmd" goto START
cls

echo RE-BUILDING FOR "X86"  "RELEASE":
echo 

:START
setlocal
set errorlevel=0
set errorlevel=

call #SETTINGS.cmd
if %errorlevel% neq 0 goto FAILURE

call :EXEC_CMD MsBuild /nologo "%#ProjectFileName%" /t:Build /p:Platform="Win32" /p:Configuration="Release"
if %errorlevel% neq 0 goto FAILURE

:SUCCESS
if "%~0"=="REBUILD_X86_R.cmd" goto FINISH
echo.
echo  BUILD FOR "X86" (RELEASE)  SUCCESS 
goto FINISH

:FAILURE
if "%~0"=="REBUILD_X86_R.cmd" goto ERROR
echo.
echo  ## BUILD FOR "X86" (RELEASE)  FAILURE 
goto ERROR

rem ================================================================================

:EXEC_CMD
echo.
echo  %* ...
echo.
%*
goto :EOF

rem ================================================================================

:ERROR
if "%~0"=="REBUILD_X86_R.cmd" goto SET_ERROR
echo 
pause

:SET_ERROR
endlocal
set errorlevel=1
goto :EOF

:FINISH
endlocal
set errorlevel=0
set errorlevel=
if "%~0"=="REBUILD_X86_R.cmd" goto :EOF
echo.
pause
goto :EOF

rem ================================================================================
