﻿using System;
using System.Threading;

using ElementaryExtensions;
using ShaperAccess;

namespace ShaperTerminal {

//**************************************************************************************************
static partial class Program {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static void CancelHandler(object sender,ConsoleCancelEventArgs e)
{
   ЄConsole.ProcessCancelEvent();
   try
   {
      ShaperDevice.Close();
   }
   catch (Exception x)
   {
      Console.ForegroundColor=ConsoleColor.Red;
      Console.WriteLine(x.Message);
      Console.ResetColor();
   }
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // Program
//**************************************************************************************************

} // ShaperTerminal
