﻿using System;

using ElementaryExtensions;

namespace ShaperTerminal {

//**************************************************************************************************
static partial class Program {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

static void KeysUsageProcedure()
{
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

   PrintProcedureTitle(c_strKeysUsageProcedureCaption);

   ЄConsole.PrintInfoCaption("При вводе символьных строк:");
   ЄConsole.PrintDialogItems
   (
      new string[]
      {
         "завершить ввод строки",
         "очистить поле ввода",
         "отмена ввода"
      },
      true,
      new ConsoleKey[]
      {
         ConsoleKey.Enter,
         ConsoleKey.Backspace,
         ConsoleKey.Escape
      },
      new ConsoleModifiers[]
      {
         0,
         ConsoleModifiers.Control,
         0,
      }
   );

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

   ЄConsole.PrintInfoCaption(true,"В диалогах выбора:");
   ЄConsole.PrintDashAlignedList
   (
      false,
      new string[]
      {
         string.Format("{0},{1},{2} ... {3}",
            ЄConsole.KeyToString(ConsoleKey.NumPad0),
            ЄConsole.KeyToString(ConsoleKey.NumPad1),
            ЄConsole.KeyToString(ConsoleKey.NumPad2),
            ЄConsole.KeyToString(ConsoleKey.NumPad9) ),
         string.Format("{0},{1} ... {2}",
            ЄConsole.KeyToString(ConsoleKey.F1),
            ЄConsole.KeyToString(ConsoleKey.F2),
            ЄConsole.KeyToString(ConsoleKey.F12) )
      },
      ЄConsole.DialogKeyColor,
      new string[]
      {
         "числовые клавиши (основная или дополнит.клавиатура)",
         "функциональные клавиши"
      },
      ЄConsole.IntensiveColor
   );

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

   CompletionDialog_Return();

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // Program
//**************************************************************************************************

} // ShaperTerminal
