@echo off
if "%~0"=="REBUILD_R.cmd" goto START
cls

echo RE-BUILDING "RELEASE" CONFIGURATION:
echo 

:START
setlocal
set errorlevel=0
set errorlevel=

call #SETTINGS.cmd
if %errorlevel% neq 0 goto ERROR

call :EXEC_CMD MsBuild /nologo "%#ProjectFileName%" /t:"Rebuild" /p:Configuration="Release"
if %errorlevel% neq 0 goto FAILURE

:SUCCESS
if "%~0"=="REBUILD_R.cmd" goto FINISH
echo.
echo  REBUILD (RELEASE)  SUCCESS 
goto FINISH

:FAILURE
if "%~0"=="REBUILD_R.cmd" goto ERROR
echo.
echo  ## REBUILD (RELEASE)  FAILURE 
goto ERROR

rem ================================================================================

:EXEC_CMD
echo.
echo  %* ...
echo.
%*
goto :EOF

rem ================================================================================

:ERROR
if "%~0"=="REBUILD_R.cmd" goto SET_ERROR
echo 
pause

:SET_ERROR
endlocal
set errorlevel=1
goto :EOF

:FINISH
endlocal
set errorlevel=0
set errorlevel=
if "%~0"=="REBUILD_R.cmd" goto :EOF
echo.
pause
goto :EOF

rem ================================================================================
