@echo off
if "%~0"=="CLEAN_REFERENCIES.cmd" goto START
cls

echo CLEANING REFERENCE FOLDER:
echo 

:START
setlocal
set errorlevel=0
set errorlevel=

call #SETTINGS.cmd
if %errorlevel% neq 0 goto FAILURE

call :EXEC_CMD MsBuild /nologo /noautoresponse "ShaperDevice.targets" /t:"_CleanReferenceFolder_"
if %errorlevel% neq 0 goto FAILURE

:SUCCESS
if "%~0"=="CLEAN_REFERENCIES.cmd" goto FINISH
echo.
echo  CLEAN REFERENCIES  SUCCESS 
goto FINISH

:FAILURE
if "%~0"=="CLEAN_REFERENCIES.cmd" goto ERROR
echo.
echo  ## CLEAN REFERENCIES  FAILURE 
goto ERROR

rem ================================================================================

:EXEC_CMD
echo.
echo  %* ...
echo.
%*
goto :EOF

rem ================================================================================

:ERROR
if "%~0"=="CLEAN_REFERENCIES.cmd" goto SET_ERROR
echo 
pause

:SET_ERROR
endlocal
set errorlevel=1
goto :EOF

:FINISH
endlocal
set errorlevel=0
set errorlevel=
if "%~0"=="CLEAN_REFERENCIES.cmd" goto :EOF
echo.
pause
goto :EOF

rem ================================================================================
