@echo off
if "%~0"=="EXPORT_PROGRAM.cmd" goto START
cls

echo EXPORTING PROGRAM:
echo 

:START
setlocal
set errorlevel=0
set errorlevel=

call #SETTINGS.cmd
if %errorlevel% neq 0 goto FAILURE

set _ExportArchitecture_=%#ExportArchitecture%
set _ExportConfiguration_=%#ExportConfiguration%

call :EXEC_CMD MsBuild /nologo /noautoresponse "ShaperDevice.targets" /t:"_ExportProgram_"
if %errorlevel% neq 0 goto FAILURE

:SUCCESS
if "%~0"=="EXPORT_PROGRAM.cmd" goto FINISH
echo.
echo  EXPORT PROGRAM  SUCCESS 
goto FINISH

:FAILURE
if "%~0"=="EXPORT_PROGRAM.cmd" goto ERROR
echo.
echo  ## EXPORT PROGRAM  FAILURE 
goto ERROR

rem ================================================================================

:EXEC_CMD
echo.
echo  %* ...
echo.
%*
goto :EOF

rem ================================================================================

:ERROR
if "%~0"=="EXPORT_PROGRAM.cmd" goto SET_ERROR
echo 
pause

:SET_ERROR
endlocal
set errorlevel=1
goto :EOF

:FINISH
endlocal
set errorlevel=0
set errorlevel=
if "%~0"=="EXPORT_PROGRAM.cmd" goto :EOF
echo.
pause
goto :EOF

rem ================================================================================
