﻿#include "Precompiled.h"
#include "SharedIncludes.h"

#include <KernelUtils.PagedSegmentsOn.h>

//==================================================================================================
// Создание файла устройства (при открытии из приложения):
//--------------------------------------------------------------------------------------------------
void Driver_EvtDeviceFileCreate
(
   WDFDEVICE      hDevice,
   WDFREQUEST     hRequest,
   WDFFILEOBJECT  hFileObject
)
{
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

   PDRIVER_FDO_DATA  pFdoData;

   UNREFERENCED_PARAMETER(hFileObject);
   UNREFERENCED_PARAMETER(hRequest);

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
   $DBG_PRINT_IN_FUNCTION();
   PAGED_CODE();
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

   pFdoData = Driver_FdoGetData(hDevice);

   WdfRequestComplete(hRequest,STATUS_SUCCESS);

   pFdoData->OpenFilesCount++;

   $DBG_PRINTF_INFORMATION((
      "Открыт новый файл; Общее число файлов теперь = %d.",
      pFdoData->OpenFilesCount ));

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
   $DBG_PRINT_OUT_OF_FUNCTION();
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
}
//==================================================================================================
