﻿#include "Precompiled.h"
#include "SharedIncludes.h"

#include <KernelUtils.PagedSegmentsOn.h>

//==================================================================================================
// Закрытие файла устройства:
//--------------------------------------------------------------------------------------------------
void Driver_EvtFileClose
(
   WDFFILEOBJECT hFileObject
)
{
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

   PDRIVER_FDO_DATA  pFdoData;

   UNREFERENCED_PARAMETER(hFileObject);

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
   $DBG_PRINT_IN_FUNCTION();
   PAGED_CODE();
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

   pFdoData = Driver_FdoGetData( WdfFileObjectGetDevice(hFileObject) );

   pFdoData->OpenFilesCount--;

   $DBG_PRINTF_INFORMATION((
      "Закрыт один файл; Общее число файлов теперь = %d.",
      pFdoData->OpenFilesCount ));

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
   $DBG_PRINT_OUT_OF_FUNCTION();
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
}
//==================================================================================================
