@echo off
if "%~0"=="UPLOAD_DRIVER.cmd" goto START
cls

echo UPLOADING DRIVER BINARIES INTO DRIVERS SYSTEM FOLDER:
echo 

:START
setlocal
set errorlevel=0
set errorlevel=

call #SETTINGS.cmd
if %errorlevel% neq 0 goto FAILURE

call #COPY_FILE.cmd "%#TestDriverBinaryPath_SYS%" "%#DriversSystemDir%"
if %errorlevel% neq 0 goto FAILURE

call #COPY_FILE.cmd "%#TestDriverBinaryPath_PDB%" "%#DriversSystemDir%"
if %errorlevel% neq 0 goto FAILURE

:SUCCESS
if "%~0"=="UPLOAD_DRIVER.cmd" goto FINISH
echo.
echo  UPLOAD DRIVER  SUCCESS 
goto FINISH

:FAILURE
if "%~0"=="UPLOAD_DRIVER.cmd" goto ERROR
echo.
echo  ## UPLOAD DRIVER  FAILURE 
goto ERROR

rem ================================================================================

:ERROR
if "%~0"=="UPLOAD_DRIVER.cmd" goto SET_ERROR
echo 
pause

:SET_ERROR
endlocal
set errorlevel=1
goto :EOF

:FINISH
endlocal
set errorlevel=0
set errorlevel=
if "%~0"=="UPLOAD_DRIVER.cmd" goto :EOF
echo.
pause
goto :EOF

rem ================================================================================
