﻿#include "Precompiled.h"
#include "SharedIncludes.h"

namespace XDeviceTest {

//==================================================================================================

void XConsole::Output(ConsoleColor color,String^ str)
   { Output(color,str,false); }
void XConsole::Output(ConsoleColor color,String^ strFormat, ... array<Object^>^ aobParams)
   { Output(color,strFormat,aobParams,false); }

//--------------------------------------------------------------------------------------------------

void XConsole::Output(ConsoleColor color,String^ str,bool bFeedLine)
{
   ConsoleColor
      savedColor=Console::ForegroundColor;
   Console::ForegroundColor=color;
   Console::Write(str);
   if (bFeedLine)
      Console::WriteLine();
   Console::ForegroundColor=savedColor;
}

void XConsole::Output( ConsoleColor color,
                       String^ strFormat,
                       array<Object^>^ aobParams,
                       bool bFeedLine )
{
   Output(color,String::Format(strFormat,aobParams),bFeedLine);
}

//==================================================================================================

} // XDeviceTest
