﻿#include "Precompiled.h"
#include "SharedIncludes.h"

namespace XDeviceTest {

//==================================================================================================

void XConsole::Print()
   { Console::WriteLine(); }

//--------------------------------------------------------------------------------------------------

void XConsole::Print(String^ str)
   { Print(false,NormalColor,str); }
void XConsole::Print(String^ strFormat, ... array<Object^>^ aobParams)
   { Print(false,strFormat,aobParams); }

void XConsole::Print(ConsoleColor color,String^ str)
   { Print(false,color,str); }
void XConsole::Print(ConsoleColor color,String^ strFormat, ... array<Object^>^ aobParams)
   { Print(false,color,strFormat,aobParams); }

//--------------------------------------------------------------------------------------------------

void XConsole::PrintFaint(String^ str)
   { PrintFaint(false,str); }
void XConsole::PrintFaint(String^ strFormat, ... array<Object^>^ aobParams)
   { PrintFaint(false,strFormat,aobParams); }

void XConsole::PrintIntensive(String^ str)
   { PrintIntensive(false,str); }
void XConsole::PrintIntensive(String^ strFormat, ... array<Object^>^ aobParams)
   { PrintIntensive(false,strFormat,aobParams); }

void XConsole::PrintImportant(String^ str)
   { PrintImportant(false,str); }
void XConsole::PrintImportant(String^ strFormat, ... array<Object^>^ aobParams)
   { PrintImportant(false,strFormat,aobParams); }

void XConsole::PrintExpressive(String^ str)
   { PrintExpressive(false,str); }
void XConsole::PrintExpressive(String^ strFormat, ... array<Object^>^ aobParams)
   { PrintExpressive(false,strFormat,aobParams); }

void XConsole::PrintExclamation(String^ str)
   { PrintExclamation(false,str); }
void XConsole::PrintExclamation(String^ strFormat, ... array<Object^>^ aobParams)
   { PrintExclamation(false,strFormat,aobParams); }

void XConsole::PrintInformation(String^ str)
   { PrintInformation(false,str); }
void XConsole::PrintInformation(String^ strFormat, ... array<Object^>^ aobParams)
   { PrintInformation(false,strFormat,aobParams); }

void XConsole::PrintWarning(String^ str)
   { PrintWarning(false,str); }
void XConsole::PrintWarning(String^ strFormat, ... array<Object^>^ aobParams)
   { PrintWarning(false,strFormat,aobParams); }

void XConsole::PrintError(String^ str)
   { PrintError(false,str); }
void XConsole::PrintError(String^ strFormat, ... array<Object^>^ aobParams)
   { PrintError(false,strFormat,aobParams); }

void XConsole::PrintSuccess(String^ str)
   { PrintSuccess(false,str); }
void XConsole::PrintSuccess(String^ strFormat, ... array<Object^>^ aobParams)
   { PrintSuccess(false,strFormat,aobParams); }

//--------------------------------------------------------------------------------------------------

void XConsole::PrintOperation(String^ strOperation)
   { PrintOperation(false,strOperation); }

void XConsole::PrintOperation(String^ strOperationFmt, ... array<Object^>^ aobParams)
   { PrintOperation(false,strOperationFmt,aobParams); }

//==================================================================================================

} // XDeviceTest
