﻿//**************************************************************************************************
//
// КЛАССЫ ИСКЛЮЧЕНИЙ.
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#pragma once

namespace XDeviceTest {

//**************************************************************************************************
ref class AppFailureException: Exception
{
public:
   AppFailureException();
   AppFailureException(String^ strMessage);
   AppFailureException(String^ strMessage,Exception^ innerException);

   AppFailureException(int nExitCode);
   AppFailureException(String^ strMessage,int nExitCode);
   AppFailureException(String^ strMessage,Exception^ innerException,int nExitCode);

   property int ExitCode { int get(); }

   static AppFailureException^ Create(String^ strMessageFmt, ... array<Object^>^ aobParams);

private:
   int i_nExitCode;
};
//**************************************************************************************************


//**************************************************************************************************
ref class OperationFailureException: Exception
{
public:
   OperationFailureException();
   OperationFailureException(String^ strMessage);
   OperationFailureException(String^ strMessage,Exception^ innerException);

   static OperationFailureException^ Create(String^ strMessageFmt, ... array<Object^>^ aobParams);
};
//**************************************************************************************************

} // XDeviceTest
