//**************************************************************************************************
//
//   ().
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#pragma once

namespace XDeviceTest {

//**************************************************************************************************
ref class Program
{
   static Program() {}

public:
   static void Run();
   static void PerformCleanup();

   static void PrintBytesRead(unsigned int uBytes);
   static void PrintBytesWritten(unsigned int uBytes);

private:
   literal int
      c_nDriverStringBufferCch=256;
   static bool
      s_bCleanupRequest;
   static HANDLE
      s_hDeviceR = INVALID_HANDLE_VALUE,
      s_hDeviceW = INVALID_HANDLE_VALUE,
      s_hDeviceRW= INVALID_HANDLE_VALUE,
      s_hDevice  = INVALID_HANDLE_VALUE;
};
//**************************************************************************************************

} // XDeviceTest
