﻿#include "Precompiled.h"
#include "SharedIncludes.h"

namespace XDeviceTest {

//==================================================================================================

HMODULE SysUtils::ProcessModuleHandle::get()
{
   HMODULE rslt=::GetModuleHandle(NULL);
   if (!rslt)
      throw gcnew Win32Exception();
   return rslt;
}

String^ SysUtils::ErrorCodeToMessage(DWORD dwError)
{
   try
   {
      throw gcnew Win32Exception(dwError);
   }
   catch (Win32Exception^ e)
   {
      return e->Message;
   }
}

//==================================================================================================

} // XDeviceTest
