@echo off
if "%~0"=="REBUILD_X64_D.cmd" goto START
cls

echo BUILDING FOR "X64"  "DEBUG":
echo 

:START
setlocal
set errorlevel=0
set errorlevel=

call #SETTINGS.cmd
if %errorlevel% neq 0 goto FAILURE

call :EXEC_CMD MsBuild /nologo "%#ProjectFileName%" /t:Build /p:Platform="x64" /p:Configuration="Debug"
if %errorlevel% neq 0 goto FAILURE

:SUCCESS
if "%~0"=="REBUILD_X64_D.cmd" goto FINISH
echo.
echo  BUILD FOR "X64" (DEBUG)  SUCCESS 
goto FINISH

:FAILURE
if "%~0"=="REBUILD_X64_D.cmd" goto ERROR
echo.
echo  ## BUILD FOR "X64" (DEBUG)  FAILURE 
goto ERROR

rem ================================================================================

:EXEC_CMD
echo.
echo  %* ...
echo.
%*
goto :EOF

rem ================================================================================

:ERROR
if "%~0"=="REBUILD_X64_D.cmd" goto SET_ERROR
echo 
pause

:SET_ERROR
endlocal
set errorlevel=1
goto :EOF

:FINISH
endlocal
set errorlevel=0
set errorlevel=
if "%~0"=="REBUILD_X64_D.cmd" goto :EOF
echo.
pause
goto :EOF

rem ================================================================================
