@echo off
if "%~0"=="SAVE_OUTPUT_X64_R.cmd" goto START
cls

echo RUNNING THE APPLICATION (X64/RELEASE):
echo 

:START
setlocal
set errorlevel=0
set errorlevel=
set SaveCD=%CD%

call #SETTINGS.cmd
if %errorlevel% neq 0 goto ERROR

call :DELETE_FILE "%#SaveOutputFilePath%"
if %errorlevel% neq 0 goto ERROR

call :CHANGE_PATH "%#OutputDir_x64_R%"
if %errorlevel% neq 0 goto ERROR

echo.
echo * Saving console output to: "%#SaveOutputFilePath%" ...
%#TargetModuleName% > "%#SaveOutputFilePath%"
if %errorlevel% neq 0 goto FAILURE

:DONE
echo.
echo  DONE (X64/RELEASE) 
goto FINISH

:FAILURE
echo.
echo ## FAILURE ## See output file: "%#SaveOutputFilePath%".
goto ERROR

rem ================================================================================

:DELETE_FILE
if not exist "%~1" goto :EOF
echo.
echo * Deleting file: "%~1" ...
del/q "%~1"
if not exist "%~1" goto :EOF
set errorlevel=1
goto :EOF

rem ================================================================================

:CHANGE_PATH
echo.
echo * Changing path to: "%~1" ...
cd /d "%~1"
goto :EOF

:RESTORE_PATH
if "%CD%"=="%SaveCD%" goto :EOF
echo.
echo * Restoring path to: "%SaveCD%" ...
cd /d "%SaveCD%"
if "%CD%"=="%SaveCD%" goto :EOF

echo.
echo ## FATAL ERROR:
echo Can not restore path to: "%SaveCD%".
echo.
echo Batch processing terminated!
echo 
pause
exit

rem ================================================================================

:ERROR
if "%~0"=="SAVE_OUTPUT_X64_R.cmd" goto SKIP_ERROR_PAUSE
echo 
pause

:SKIP_ERROR_PAUSE
call :RESTORE_PATH

:SET_ERROR
endlocal
set errorlevel=1
goto :EOF

:FINISH
if "%~0"=="SAVE_OUTPUT_X64_R.cmd" goto SKIP_FINISH_PAUSE
echo.
pause

:SKIP_FINISH_PAUSE
call :RESTORE_PATH

:SET_NO_ERROR
endlocal
set errorlevel=0
set errorlevel=
goto :EOF

rem ================================================================================
