@echo off
if "%~0"=="CLEAN_ALL.cmd" goto START
cls

echo 
echo  REMOVING ALL OUTPUT AND INTERMEDIATE FILES/FOLDERS: 

:START
setlocal
set errorlevel=0
set errorlevel=
set SaveCD=%CD%

call :CLEAN "Driver"
if %errorlevel% neq 0 goto ERROR

call :CLEAN "TestApp"
if %errorlevel% neq 0 goto ERROR

call :RESTORE_PATH

:DONE
if "%~0"=="CLEAN_ALL.cmd" goto FINISH
echo.
echo 
goto FINISH

rem ================================================================================

:CLEAN
call :CHANGE_PATH "%SaveCD%\%~1"
if %errorlevel% neq 0 goto :EOF

call CLEAN_ALL.cmd
if %errorlevel% neq 0 goto :EOF

echo.
echo 
goto :EOF

rem ================================================================================

:CHANGE_PATH
echo.
echo * Changing path to: "%~1" ...
cd /d "%~1"
goto :EOF

:RESTORE_PATH
if "%CD%"=="%SaveCD%" goto :EOF
echo.
echo * Restoring path to: "%SaveCD%" ...
cd /d "%SaveCD%"
if "%CD%"=="%SaveCD%" goto :EOF

echo.
echo ## FATAL ERROR:
echo Can not restore path to: "%SaveCD%".
echo.
echo Batch processing terminated!
echo 
pause
exit

rem ================================================================================

:ERROR
if "%~0"=="CLEAN_ALL.cmd" goto SKIP_ERROR_PAUSE
echo 
pause

:SKIP_ERROR_PAUSE
call :RESTORE_PATH

:SET_ERROR
endlocal
set errorlevel=1
goto :EOF

:FINISH
if "%~0"=="CLEAN_ALL.cmd" goto SKIP_FINISH_PAUSE
echo.
pause

:SKIP_FINISH_PAUSE
call :RESTORE_PATH

:SET_NO_ERROR
endlocal
set errorlevel=0
set errorlevel=
goto :EOF

rem ================================================================================
