@echo off
if "%~0"=="REBUILD_X64_R.cmd" goto START
cls

echo RE-BUILDING PROJECTS FOR "X64"  "RELEASE":
echo 

:START
setlocal
set errorlevel=0
set errorlevel=
set SaveCD=%CD%

call :REBUILD_WDK_PROJECT "Driver"
if %errorlevel% neq 0 goto FAILURE

call :REBUILD_CPP_PROJECT "TestApp"
if %errorlevel% neq 0 goto FAILURE

call :RESTORE_PATH

rem ================================================================================

:SUCCESS
if "%~0"=="REBUILD_X64_R.cmd" goto FINISH
echo.
echo  REBUILD FOR "X64" (RELEASE)  SUCCESS 
goto FINISH

:FAILURE
if "%~0"=="REBUILD_X64_R.cmd" goto ERROR
echo.
echo  ## REBUILD FOR "X64" (RELEASE)  FAILURE 
goto ERROR

rem ================================================================================

:REBUILD_PROJECT
call :CHANGE_PATH "%SaveCD%\%~1"
if %errorlevel% neq 0 goto :EOF

call REBUILD_R.cmd
if %errorlevel% neq 0 goto :EOF

goto COMPLETE_REBUILD_PROJECT

:REBUILD_CPP_PROJECT
call :CHANGE_PATH "%SaveCD%\%~1"
if %errorlevel% neq 0 goto :EOF

call REBUILD_X64_R.cmd
if %errorlevel% neq 0 goto :EOF

goto COMPLETE_REBUILD_PROJECT

:REBUILD_WDK_PROJECT
call :CHANGE_PATH "%SaveCD%\%~1"
if %errorlevel% neq 0 goto :EOF

call REBUILD_X64_F.cmd
if %errorlevel% neq 0 goto :EOF

goto COMPLETE_REBUILD_PROJECT

:COMPLETE_REBUILD_PROJECT
echo.
echo 
goto :EOF

rem ================================================================================

:CHANGE_PATH
echo.
echo * Changing path to: "%~1" ...
cd /d "%~1"
goto :EOF

:RESTORE_PATH
if "%CD%"=="%SaveCD%" goto :EOF
echo.
echo * Restoring path to: "%SaveCD%" ...
cd /d "%SaveCD%"
if "%CD%"=="%SaveCD%" goto :EOF

echo.
echo ## FATAL ERROR:
echo Can not restore path to: "%SaveCD%".
echo.
echo Batch processing terminated!
echo 
pause
exit

rem ================================================================================

:ERROR
if "%~0"=="REBUILD_X64_R.cmd" goto SKIP_ERROR_PAUSE
echo 
pause

:SKIP_ERROR_PAUSE
call :RESTORE_PATH

:SET_ERROR
endlocal
set errorlevel=1
goto :EOF

:FINISH
if "%~0"=="REBUILD_X64_R.cmd" goto SKIP_FINISH_PAUSE
echo.
pause

:SKIP_FINISH_PAUSE
call :RESTORE_PATH

:SET_NO_ERROR
endlocal
set errorlevel=0
set errorlevel=
goto :EOF

rem ================================================================================
