@echo off
cls

echo RUNNING THE APPLICATION:
echo 

setlocal
set errorlevel=0
set errorlevel=

if not defined PROCESSOR_ARCHITECTURE goto PROC_ARC_NOT_DEF

set AppName=QuickInfo
set ConfigFileName=QuickInfo.xml

set ProcessorArchitecture=%PROCESSOR_ARCHITECTURE%
if /i "%ProcessorArchitecture%"=="AMD64" set ProcessorArchitecture=x64

set ExeFile=%~dp0%ProcessorArchitecture%\%AppName%.exe
set ConfigFile=%~dp0%ConfigFileName%

if "%1"=="" (
set ParamsString="%ConfigFile%"
) else (
set ParamsString=%*
)

call :EXEC_CMD "%ExeFile%" %ParamsString%
if %errorlevel% neq 0 goto ERROR

echo.
pause
goto :EOF

rem ================================================================================

:PROC_ARC_NOT_DEF
echo.
echo ## Environment variable is not defined: "PROCESSOR_ARCHITECTURE".
goto ERROR

rem ================================================================================

:EXEC_CMD
echo.
echo  %* ...
echo.
%*
goto :EOF

:ERROR
echo 
pause
goto :EOF

rem ================================================================================
