@echo off
if "%~0"=="UNINSTALL.cmd" goto START
cls

echo UNINSTALLING CERTIFICATE:
echo 

:START
setlocal
set errorlevel=0
set errorlevel=

call #SETTINGS.cmd
if %errorlevel% neq 0 goto ERROR

call :DELETE_FILE %#CertListFile%
if %errorlevel% neq 0 goto FAILURE

echo.
echo 

call :EXEC_CMD CertMgr -del -c -n "%#CommonName%" -s -r "CurrentUser" "Root"

echo.
echo 

call :EXEC_CMD CertMgr -del -c -n "%#CommonName%" -s -r "LocalMachine" "Root"

echo.
echo 

call :EXEC_CMD CertMgr -del -c -n "%#CommonName%" -s -r "%#StoreLocation%" "%#StoreName%"
if %errorlevel% neq 0 goto FAILURE

:SUCCESS
if "%~0"=="UNINSTALL.cmd" goto FINISH
echo.
echo  UNINSTALL CERTIFICATE  SUCCESS 
goto FINISH

:FAILURE
if "%~0"=="UNINSTALL.cmd" goto ERROR
echo.
echo  ## UNINSTALL CERTIFICATE  FAILURE 
goto ERROR

rem ================================================================================

:EXEC_CMD
echo.
echo  %* ...
echo.
%*
goto :EOF

:DELETE_FILE
if not exist "%*" goto :EOF
echo.
echo * Deleting file: "%*" ...
del/q "%*"
if not exist "%*" goto :EOF
set errorlevel=1
goto :EOF

rem ================================================================================

:ERROR
if "%~0"=="UNINSTALL.cmd" goto SET_ERROR
echo 
pause

:SET_ERROR
endlocal
set errorlevel=1
goto :EOF

:FINISH
endlocal
set errorlevel=0
set errorlevel=
if "%~0"=="UNINSTALL.cmd" goto :EOF
echo.
pause
goto :EOF

rem ================================================================================
