:SetVar Procedure "paycoll_VerifyBik"
exec sys_DropProcedure '$(Procedure)'
GO
create procedure [$(Procedure)] (@Bik $(dt_Bik))
AS
/*================================================================================================*/
/*
##  ""-:
*/
/*================================================================================================*/
$(BEGIN)
----------------------------------------------------------------------------------------------------

if @Bik is null
   raiserror ('   "$(Procedure)".',11,1)

----------------------------------------------------------------------------------------------------

if LEN(@Bik)<>$(num_BikLength)
   raiserror ('  ""-.',11,1)

declare
   @BikNum int
begin try
   set @BikNum=CONVERT(int,@Bik)
end try
begin catch
   raiserror ('  ""-.',11,1)
end catch
if @BikNum<0
   raiserror (' "".',11,1)

----------------------------------------------------------------------------------------------------
$(END)
/*================================================================================================*/
GO
