:SetVar Procedure "paycoll_AddBank"
exec sys_DropProcedure '$(Procedure)'
GO
create procedure [$(Procedure)] (@Bik $(dt_Bik),@Name $(dt_Name))
AS
/*================================================================================================*/
/*
##   ( Ҩ ):
*/
/*================================================================================================*/
$(BEGIN)
----------------------------------------------------------------------------------------------------
exec [paycoll_VerifyStateAndSecurity]
----------------------------------------------------------------------------------------------------

if @Bik is null or @Name is null
   raiserror ('   "$(Procedure)".',11,1)

----------------------------------------------------------------------------------------------------

exec [paycoll_VerifyBankAttributes] @Bik,@Name

----------------------------------------------------------------------------------------------------

if exists( select * from PAYCOLL_DIVISIONS (nolock) where BIK=@Bik )
   raiserror ('   ""-  .',11,1)
if exists( select * from PAYCOLL_DIVISIONS (nolock) where NAME=@Name )
   raiserror ('     .',11,1)

----------------------------------------------------------------------------------------------------

insert PAYCOLL_DIVISIONS (BIK,NAME) values (@Bik,RTRIM(@Name))

----------------------------------------------------------------------------------------------------
$(END)
/*================================================================================================*/
GO
grant exec on [$(Procedure)] to [$(ident_AuthorizedGroup)]
GO
