@echo off
setlocal
set errorlevel=0
set errorlevel=

call $SQL_SETTINGS.cmd
if %errorlevel% neq 0 goto ERROR

if "%~0"=="TRANSLATE_PROGRAMMATICS.cmd" goto RUN
cls

echo TRANSLATION OF STORED PROCEDURES AND FUNCTIONS:
echo 
echo.
echo  SQL-Server  : %$sql_server%
echo  SQL-Database: %$sql_database%
echo.
echo 
echo  STARTING THE SCRIPT(S) ON SQL-SERVER  (Ctrl+C  break off) 
echo.
pause

:RUN
call DROP_PROGRAMMATICS.cmd
if %errorlevel% neq 0 goto FAILURE

echo.
echo 

call $SQLTRANS.cmd "Functions\*.sql"
if %errorlevel% neq 0 goto FAILURE

call $SQLTRANS.cmd "Procedures\*.sql"
if %errorlevel% neq 0 goto FAILURE

echo.
echo 

call LIST_PROGRAMMATICS.cmd
if %errorlevel% neq 0 goto FAILURE

:SUCCESS
if "%~0"=="TRANSLATE_PROGRAMMATICS.cmd" goto FINISH
echo.
echo  PROGRAMMATICS TRANSLATION  SUCCESS 
echo 
goto FINISH

:FAILURE
if "%~0"=="TRANSLATE_PROGRAMMATICS.cmd" goto ERROR
echo.
echo  ## PROGRAMMATICS TRANSLATION  FAILURE 
echo 
goto ERROR

rem ================================================================================

:DELETE_FILE
if not exist "%~1" goto :EOF
echo.
echo * Deleting file: "%~1" ...
del/q "%~1"
if not exist "%~1" goto :EOF
set errorlevel=1
goto :EOF

rem ================================================================================

:ERROR
if "%~0"=="TRANSLATE_PROGRAMMATICS.cmd" goto SET_ERROR
echo 
pause

:SET_ERROR
endlocal
set errorlevel=1
goto :EOF

:FINISH
endlocal
set errorlevel=0
set errorlevel=
if "%~0"=="TRANSLATE_PROGRAMMATICS.cmd" goto :EOF
echo.
pause
goto :EOF

rem ================================================================================
