﻿using System.Reflection;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;

using XHelpers;

#if DEBUG
[assembly: AssemblyTitle         ( "Simple Console Calculator (Debug)"  )]
[assembly: AssemblyConfiguration ( "Debug"                              )]
#else
[assembly: AssemblyTitle         ( "Simple Console Calculator"          )]
[assembly: AssemblyConfiguration ( "Release"                            )]
#endif

[assembly: AssemblyCompany       ( XHelpersInfo.CompanyName             )]
[assembly: AssemblyProduct       ( XHelpersInfo.ProductName             )]
[assembly: AssemblyCopyright     ( XHelpersInfo.CopyrightString         )]

[assembly: AssemblyDescription(
   "This sample demonstrates potential of so-called \"Simpe Console API\" (teletype mode only), "+
   "supported by XHelpers Solution Library (Freeware)." )]

[assembly: ComVisible( false )]

[assembly: AssemblyVersion( "2.1.*" )]

#if TRACE
// XHelpers trace features (block trace activation):
[assembly: XTraceConfiguration]
#endif // TRACE

#if SERG_CODE_PRIVATE_ENVIRONMENT
#pragma warning disable 1699
[assembly: AssemblyKeyName( "SergCODE" )]
#pragma warning restore 1699
#endif // SERG_CODE_PRIVATE_ENVIRONMENT
