@echo off
setlocal
set initial_cd=%CD%

if "%~0"=="RUN_R.cmd" goto BEGIN
cls
echo RUNNING THE APPLICATION (RELEASE):
echo 

:BEGIN
call :RESET_ERROR

call #SETTINGS.cmd
if %errorlevel% neq 0 goto ERROR

call :CHANGE_DIR "%#OutputDir_R%"
if %errorlevel% neq 0 goto ERROR

cls
%#TargetModuleName% %*
if %errorlevel% neq 0 goto ERROR

goto FINISH

rem ================================================================================

:RESET_ERROR
set errorlevel=0
set errorlevel=
goto :EOF

:CHANGE_DIR
echo.
echo * Changing directory to: "%~1" ...
cd /d "%~1"
goto :EOF

:RESTORE_DIR_SILENT
if /i "%CD%"=="%initial_cd%" goto :EOF
cd /d "%initial_cd%"
if /i "%CD%"=="%initial_cd%" goto :EOF
echo.
echo ## === FATAL ERROR: ===
echo ## Can not restore directory to: "%initial_cd%".
echo ## Batch processing terminated!
echo 
pause
exit

rem ================================================================================

:ERROR
if "%~0"=="RUN_R.cmd" goto SKIP_ERROR_PAUSE
echo 
pause

:SKIP_ERROR_PAUSE
call :RESTORE_DIR_SILENT

:ERROR_EXIT
endlocal
set errorlevel=1
goto :EOF

:FINISH
if "%~0"=="RUN_R.cmd" goto SKIP_FINISH_PAUSE
echo.
pause

:SKIP_FINISH_PAUSE
call :RESTORE_DIR_SILENT

:NORMAL_EXIT
endlocal
call :RESET_ERROR
goto :EOF

rem ================================================================================
