$(BEGIN)

$(BEGIN_TRANSACTION)

insert [CORRECTION_CAUSES]
(
   [Id], [Name]
)
   select
      [Id], [Name]
   from
      [CORRECTION_CAUSES:UPLOAD] cau (nolock)
   where
      not exists( select * from [CORRECTION_CAUSES] (nolock) where [Id]=cau.Id )

update ca
   set
      [Name]=cau.[Name]
   from
      [CORRECTION_CAUSES] ca
   join
      [CORRECTION_CAUSES:UPLOAD] cau (nolock)
      on cau.[Id]=ca.[Id]

update [CORRECTION_CAUSES]
   set [CountersRelated] =
      case
         when [Id] in
         (
            '{0B3A5635-B5E2-4445-A88E-943C9B172FD6}',
            '{C71D24CA-2ECE-421d-82C8-FC83F2D3A97E}'
         )
         then 1 else 0
      end

$(COMMIT_TRANSACTION)

drop table [CORRECTION_CAUSES:UPLOAD]

$(END)
