:SetVar Procedure "PaycorMaster:GetCauses"
exec [sys_DropProcedure] '$(Procedure)'
GO
create procedure [$(Procedure)]
(
   @ServiceId     $(dt_ServiceId),
   @Percental     bit = 0,
   @AffectsUnits  bit = 0
)
AS
/*================================================================================================*/
/*
##    :
*/
/*================================================================================================*/
$(BEGIN)
----------------------------------------------------------------------------------------------------

if @ServiceId is null or @Percental is null or @AffectsUnits is null
   raiserror ('   "$(Procedure)".',11,1)

----------------------------------------------------------------------------------------------------

exec [Correction:GetCauses]  @ServiceId, @Percental, @AffectsUnits

----------------------------------------------------------------------------------------------------
$(END)
/*================================================================================================*/
GO
--grant exec on [$(Procedure)] to [$(ident_AuthorizedGroup)]
GO
/*
exec [PaycorMaster:GetCauses] '',1,1
exec [PaycorMaster:GetCauses] '',1,0
exec [PaycorMaster:GetCauses] '',0,0
exec [PaycorMaster:GetCauses] '',0,1
                                        
exec [PaycorMaster:GetCauses] '',1,1
exec [PaycorMaster:GetCauses] '',1,0
exec [PaycorMaster:GetCauses] '',0,0
exec [PaycorMaster:GetCauses] '',0,1
                                        
exec [PaycorMaster:GetCauses] '',0,0
*/
