﻿using System;
using System.Xml;
using System.Globalization;

using XHelpers;

namespace PaycorMaster {

using Properties;

//**************************************************************************************************
public class AppConfiguration: XXmlConfigurationBase {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public AppConfiguration(): base(Resources.PaycorMaster_XSD)
{}

//--------------------------------------------------------------------------------------------------

public string
   ServerName,
   DatabaseName;
public bool
   SystemAuthentication,
   AlwaysShowDialog;

//==================================================================================================

public void Load(string fileName)
{
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

   LoadDocument( fileName );

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

   NavigateToNode("x:Connection");

   ServerName          = AttributeValues["ServerName"  ];
   DatabaseName        = AttributeValues["DatabaseName"];
   SystemAuthentication= AttributeValues["SystemAuthentication"] == "true";
   AlwaysShowDialog    = AttributeValues["AlwaysShowDialog"    ] == "true";

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // AppConfiguration
//**************************************************************************************************

} // PaycorMaster
