﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Threading;

using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Browser;

using XHelpers;

namespace SilverlightApp {

//**************************************************************************************************
public partial class MainPage: UserControl {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public MainPage()
{
   InitializeComponent();
}

//==================================================================================================

void PerformAction()
{
   using (new XAppWaiting("Processing sequence"))
   {
      Thread.Sleep(500);
      for (int i=0; i<10; i++)
      {
         XAppWaiting.DisplayStatus("Action #{0}",i+1);
         XDebug.PrintOperation("Action #{0}",i+1);
         Thread.Sleep(100);
      }
//XFatalError.Raise("Artificial error.");
//throw new MyException("Artificial exception.");
   }
}

//==================================================================================================

private void buttonOperation_Click(object sender,RoutedEventArgs e)
{
//XFatalError.Raise("Artificial error.");
//throw new MyException("Artificial exception.");
   XBackgroundOperation.Start
   (
      "Operation",
      "Executing operation",
      delegate
      {
         Thread.Sleep(1000);
         PerformAction();
//XFatalError.Raise("Artificial error.");
//throw new MyException("Artificial exception.");
         Thread.Sleep(1000);
         PerformAction();
         Thread.Sleep(1000);
      }
   );
}

private void mainPage_Loaded(object sender,RoutedEventArgs e)
{
   Loaded -= mainPage_Loaded;
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // MainPage
//**************************************************************************************************

} // SilverlightApp
