﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;

namespace XHelpers {

//**************************************************************************************************
partial class XConsole {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/// <exception cref="InvalidOperationException" />
public static void PerformExitionDialog()
{
   PerformExitionDialog(false);
}

//--------------------------------------------------------------------------------------------------

/// <exception cref="InvalidOperationException" />
public static void PerformContinuationDialog()
{
   PerformContinuationDialog(false);
}

//--------------------------------------------------------------------------------------------------

/// <exception cref="InvalidOperationException" />
public static bool PerformConfirmationDialog(string caption)
{
   return PerformConfirmationDialog(false,caption);
}

/// <exception cref="InvalidOperationException" />
public static bool PerformConfirmationDialog(string captionFmt,params string[] parameters)
{
   return PerformConfirmationDialog(false,captionFmt,parameters);
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XConsole
//**************************************************************************************************

} // XHelpers
