﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Runtime.InteropServices;

namespace XHelpers {

//**************************************************************************************************
partial class XConsole {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static void PrintDialogKeysLegend(string[] actions,ConsoleKey[] keysArray)
{
   PrintDialogKeysLegend(false,actions,keysArray);
}

public static void PrintDialogKeysLegend( string[] actions,
                                          ConsoleKey[] keysArray,
                                          [Optional] ConsoleModifiers[] modifiersArray )
{
   PrintDialogKeysLegend(false,actions,keysArray,modifiersArray);
}

//--------------------------------------------------------------------------------------------------

public static void PrintDialogKeysLegend( [Optional] string caption,
                                          string[] actions,
                                          ConsoleKey[] keysArray )
{
   PrintDialogKeysLegend(false,caption,actions,keysArray);
}

public static void PrintDialogKeysLegend( [Optional] string caption,
                                          string[] actions, ConsoleKey[] keysArray,
                                          [Optional] ConsoleModifiers[] modifiersArray )
{
   PrintDialogKeysLegend(false,caption,actions,keysArray,modifiersArray);
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XConsole
//**************************************************************************************************

} // XHelpers
