﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Runtime.InteropServices;

namespace XHelpers {

//**************************************************************************************************
partial class XConsole {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static XConsoleKeyToStringCallback KeyToStringCallback
{
   get { lock (typeof(XConsole)) return _KeyToStringCallback_; }
   set { lock (typeof(XConsole)) _KeyToStringCallback_ = value; }
}

//--------------------------------------------------------------------------------------------------

/*
public static 
{
   get { lock (typeof(XConsole)) return __; }
   set { lock (typeof(XConsole)) __ = value; }
}
*/

//==================================================================================================

static void CustomizeForAsciiAppearance()
{
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

   BulletChar                       = '*';
   DashChar                         = '-';
   NonDisplayableSubstChar          = '?';

   InformationCaptionChar           = '=';

   ArrowedCaptionDashChar           = '-';
   ArrowedCaptionPointerChar        = '>';

   DialogCaptionChar                = '=';

   ListItemBulletChar               = '*';
   ListItemDashChar                 = '-';

   HeaderFooterChar                 = '*';
   ShallowHeaderFooterChar          = '*';
   TitleHeaderFooterChar            = '*';

   SplitterChar                     = '-';
   DoubleSplitterChar               = '=';
   ShallowSplitterChar              = '-';
   ShallowDoubleSplitterChar        = '=';

   InputArrowDashChar               = '=';
   InputArrowPointerChar            = '>';
   InputPasswordChar                = '*';

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

   OperationFormatString            = "* {0} ...";
   DialogPromptString               = "> . . . ";
   DialogPromptFormatString         = "> {0} . . . ";
   FeaturedInscriptionFormatString  = "*** {0} ***";

   ListItemPairLigament             = " : ";
   ListItemEquationLigament         = " = ";
   ListItemNumberValueSeparator     = ") ";

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
}

//==================================================================================================

static XConsoleKeyToStringCallback
   _KeyToStringCallback_;

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XConsole
//**************************************************************************************************

} // XHelpers
