﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;

namespace XHelpers {

//**************************************************************************************************
partial class XConsole {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static void PrintInformationCaption(string caption)
{
   PrintInformationCaption(false,caption);
}

public static void PrintInformationCaption(string captionFmt,params object[] parameters)
{
   PrintInformationCaption(false,captionFmt,parameters);
}

//--------------------------------------------------------------------------------------------------

public static void PrintInformationCaption(bool insertBlankLine,string caption)
{
   PrintUnderbarCaption(insertBlankLine,InformationCaptionChar,InformationCaptionColor,caption);
}

public static void PrintInformationCaption( bool insertBlankLine,
                                            string captionFmt,
                                            params object[] parameters )
{
   PrintInformationCaption(insertBlankLine,string.Format(captionFmt,parameters));
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XConsole
//**************************************************************************************************

} // XHelpers
