﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Runtime.InteropServices;

namespace XHelpers {

//**************************************************************************************************
partial class XConsole {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static void PrintAlignedBulletedList( [Optional] string caption,
                                             string[] captions,
                                             string[] values )
{
   PrintAlignedBulletedList(false,caption,captions,values);
}

//==================================================================================================

public static void PrintAlignedBulletedList(string[] captions,string[] values)
{
   PrintAlignedBulletedList(false,captions,values);
}

public static void PrintAlignedBulletedList( string[] captions,
                                             string[] values,
                                             [Optional] string pairLigament )
{
   PrintAlignedBulletedList(false,captions,values,pairLigament);
}

//--------------------------------------------------------------------------------------------------

public static void PrintAlignedBulletedList( string[] captions,
                                             ConsoleColor? captionColor,
                                             string[] values )
{
   PrintAlignedBulletedList(false,captions,captionColor,values);
}

public static void PrintAlignedBulletedList( string[] captions, ConsoleColor? captionColor,
                                             string[] values, [Optional] string pairLigament )
{
   PrintAlignedBulletedList(false,captions,captionColor,values,pairLigament);
}

//--------------------------------------------------------------------------------------------------

public static void PrintAlignedBulletedList( string[] captions,
                                             string[] values,
                                             ConsoleColor? valueColor )
{
   PrintAlignedBulletedList(false,captions,values,valueColor);
}

public static void PrintAlignedBulletedList( string[] captions, string[] values,
                                             ConsoleColor? valueColor,
                                             [Optional] string pairLigament )
{
   PrintAlignedBulletedList(false,captions,values,valueColor,pairLigament);
}

//--------------------------------------------------------------------------------------------------

public static void PrintAlignedBulletedList( string[] captions, ConsoleColor? captionColor,
                                             string[] values, ConsoleColor? valueColor )
{
   PrintAlignedBulletedList(false,captions,captionColor,values,valueColor);
}

public static void PrintAlignedBulletedList( string[] captions, ConsoleColor? captionColor,
                                             string[] values, ConsoleColor? valueColor,
                                             [Optional] string pairLigament )
{
   PrintAlignedBulletedList(false,captions,captionColor,values,valueColor,pairLigament);
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XConsole
//**************************************************************************************************

} // XHelpers
