﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Runtime.InteropServices;

namespace XHelpers {

//**************************************************************************************************
partial class XConsole {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static void PrintDashAlignedList( [Optional] string caption,
                                         string[] captions,
                                         string[] values )
{
   PrintDashAlignedList(false,caption,captions,values);
}

//==================================================================================================

public static void PrintDashAlignedList(string[] captions,string[] values)
{
   PrintDashAlignedList(false,captions,values);
}

public static void PrintDashAlignedList( string[] captions,
                                         ConsoleColor? captionColor,
                                         string[] values )
{
   PrintDashAlignedList(false,captions,captionColor,values);
}

//--------------------------------------------------------------------------------------------------

public static void PrintDashAlignedList( string[] captions,
                                         string[] values,
                                         ConsoleColor? valueColor )
{
   PrintDashAlignedList(false,captions,values,valueColor);
}

public static void PrintDashAlignedList( string[] captions, ConsoleColor? captionColor,
                                         string[] values, ConsoleColor? valueColor )
{
   PrintDashAlignedList(false,captions,captionColor,values,valueColor);
}

//--------------------------------------------------------------------------------------------------

public static void PrintDashAlignedList( string[] captions, ConsoleColor? captionColor,
                                         string[] values, ConsoleColor? valueColor,
                                         ConsoleColor? dashColor )
{
   PrintDashAlignedList(false,captions,captionColor,values,valueColor,dashColor);
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XConsole
//**************************************************************************************************

} // XHelpers
