﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Runtime.InteropServices;

namespace XHelpers {

//**************************************************************************************************
partial class XConsole {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static void PrintEquationBulletedList( [Optional] string caption,
                                              string[] captions,
                                              string[] values )
{
   PrintEquationBulletedList(false,caption,captions,values);
}

//==================================================================================================

public static void PrintEquationBulletedList(string[] captions,string[] values)
{
   PrintEquationBulletedList(false,captions,values);
}

public static void PrintEquationBulletedList( string[] captions,
                                              ConsoleColor? captionColor,
                                              string[] values )
{
   PrintEquationBulletedList(false,captions,captionColor,values);
}

//--------------------------------------------------------------------------------------------------

public static void PrintEquationBulletedList( string[] captions,
                                              string[] values,
                                              ConsoleColor? valueColor )
{
   PrintEquationBulletedList(false,captions,values,valueColor);
}

public static void PrintEquationBulletedList( string[] captions, ConsoleColor? captionColor,
                                              string[] values, ConsoleColor? valueColor )
{
   PrintEquationBulletedList(false,captions,captionColor,values,valueColor);
}

//--------------------------------------------------------------------------------------------------

public static void PrintEquationBulletedList( string[] captions, ConsoleColor? captionColor,
                                              string[] values, ConsoleColor? valueColor,
                                              ConsoleColor? equationLigamentColor )
{
   PrintEquationBulletedList(false,captions,captionColor,values,valueColor,equationLigamentColor);
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XConsole
//**************************************************************************************************

} // XHelpers
