﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Runtime.Serialization;

namespace XHelpers {

//**************************************************************************************************
/// <summary>
/// </summary>
public partial class XAbortConsoleInputException: XException {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

protected XAbortConsoleInputException(SerializationInfo info,StreamingContext context)
   :base(info,context)
{}

//==================================================================================================

internal XAbortConsoleInputException()
   :base( "Console input was intentionally aborted by input idle polling callback." )
{}

//==================================================================================================

static XAbortConsoleInputException()
{
   Library.Access();
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XAbortConsoleInputException
//**************************************************************************************************

} // XHelpers
