﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

namespace XHelpers {

//**************************************************************************************************
partial class XUnicode {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public const char
   UpperHalfBlock           = '\u2580',
   LowerHalfBlock           = '\u2584',
   FullBlock                = '\u2588',
   LeftHalfBlock            = '\u258C',
   RightHalfBlock           = '\u2590',
   LightShade               = '\u2591',
   MediumShade              = '\u2592',
   DarkShade                = '\u2593',
   BlackSquare              = '\u25A0',
   WhiteSquare              = '\u25A1',
   BlackSmallSquare         = '\u25AA',
   WhiteSmallSquare         = '\u25AB',
   BlackRectangle           = '\u25AC',
   BlackUpPointingTriangle  = '\u25B2',
   BlackRightPointingPointer= '\u25BA',
   BlackDownPointingTriangle= '\u25BC',
   BlackLeftPointingPointer = '\u25C4',
   Lonzenge                 = '\u25CA',
   WhiteCircle              = '\u25CB',
   BlackCircle              = '\u25CF',
   InverseBullet            = '\u25D8',
   InverseWhiteCircle       = '\u25D9',
   WhiteBullet              = '\u25E6';

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XUnicode
//**************************************************************************************************

} // XHelpers
