﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

namespace XHelpers {

//**************************************************************************************************
partial class XUnicode {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public const char
   InvertedExclamationMark              = '\u00A1',
   BrokenSign                           = '\u00A6',
   SectionSign                          = '\u00A7',
   CopyrightSign                        = '\u00A9',
   LeftPointingDoubleAngleQuatationMark = '\u00AB',
   NotSign                              = '\u00AC',
   SoftHyphen                           = '\u00AD',
   RegisteredSign                       = '\u00AE',
   DegreeSign                           = '\u00B0',
   MicroSign                            = '\u00B5',
   PilcrowSign                          = '\u00B6',
   MiddleDot                            = '\u00B7',
   RightPointingDoubleAngleQuatationMark= '\u00BB',
   InvertedQuestionMark                 = '\u00BF',
   ZeroWidthNonJoiner                   = '\u200C',
   ZeroWidthJoiner                      = '\u200D',
   LeftToRightMark                      = '\u200E',
   RightToLeftMark                      = '\u200F',
   EnDash                               = '\u2013',
   EmDash                               = '\u2014',
   HorizontalBar                        = '\u2015',
   DoubleLowLine                        = '\u2017',
   LeftSingleQuotationMark              = '\u2018',
   RightSingleQuotationMark             = '\u2019',
   SingleLow9QuotationMark              = '\u201A',
   SingleHighReserved9QuotationMark     = '\u201B',
   LeftDoubleQuotationMark              = '\u201C',
   RightDoubleQuotationMark             = '\u201D',
   DoubleLow9QuotationMark              = '\u201E',
   Dagger                               = '\u2020',
   DoubleDagger                         = '\u2021',
   Bullet                               = '\u2022',
   HorizontalEllipsis                   = '\u2026',
   LeftToRightEmbedding                 = '\u202A',
   RightToLeftEmbedding                 = '\u202B',
   PopDirectionalFormatting             = '\u202C',
   LeftToRightOverride                  = '\u202D',
   RightToLeftOverride                  = '\u202E',
   PerMileSign                          = '\u2030',
   Prima                                = '\u2032',
   DoublePrima                          = '\u2033',
   SingleLeftPointingAngleQuotationMark = '\u2039',
   SingleRightPointingAngleQuotationMark= '\u203A',
   DoubleExclamationMark                = '\u203C',
   Overline                             = '\u203E',
   FractionSlash                        = '\u2044',
   InhibitSymmetricSwapping             = '\u206A',
   ActivateSymmetricSwapping            = '\u206B',
   NationalDigitShapes                  = '\u206E',
   NominalDigitShapes                   = '\u206F';

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XUnicode
//**************************************************************************************************

} // XHelpers
