﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Runtime.Serialization;

namespace XHelpers {

//**************************************************************************************************
/// <summary>
/// </summary>
#if !SILVERLIGHT
[Serializable]
#endif // !SILVERLIGHT
public partial class XElementNotFoundException: XException {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public XElementNotFoundException()
   :base ("Element was not found in collection.")
{}

public XElementNotFoundException(string message)
   :base (message)
{}

//==================================================================================================

#if !SILVERLIGHT
protected XElementNotFoundException(SerializationInfo info,StreamingContext context)
   :base(info,context) {}
#endif // !SILVERLIGHT

//==================================================================================================

static XElementNotFoundException()
{
   Library.Access();
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XElementNotFoundException
//**************************************************************************************************

} // XHelpers
