﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Diagnostics;

namespace XHelpers {

//**************************************************************************************************
/// <summary>
/// </summary>
public static partial class XStackTrace {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static string GetText(StackTrace stackTrace)
{
   string text =
      stackTrace.ToString();
   int newLineLength =
      Environment.NewLine.Length;
   if ( text.LastIndexOf(Environment.NewLine) == text.Length-newLineLength )
      text=text.Remove(text.Length-newLineLength);
   return
      text;
}

//==================================================================================================

static XStackTrace()
{
   Library.Access();
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XStackTrace
//**************************************************************************************************

} // XHelpers
