﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;

namespace XHelpers {

//**************************************************************************************************
/// <summary>
/// </summary>
public partial class XAppExitException<T>: XAppExitException {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public XAppExitException()
   {}

//--------------------------------------------------------------------------------------------------

public XAppExitException(string message)
   :base(message) {}

public XAppExitException(string message,Exception innerException)
   :base(message,innerException) {}

public XAppExitException(string message,int exitCode)
   :base(message,exitCode) {}

public XAppExitException(string message,Exception innerException,int exitCode)
   :base(message,innerException,exitCode) {}

//--------------------------------------------------------------------------------------------------

public XAppExitException(int exitCode)
   :base(exitCode) {}

public XAppExitException(Exception innerException)
   :base(innerException) {}

public XAppExitException(Exception innerException,int exitCode)
   :base(innerException,exitCode) {}

//==================================================================================================

public XAppExitException(T associatedData)
   :base(associatedData) {}

//--------------------------------------------------------------------------------------------------

public XAppExitException(string message,T associatedData)
   :base(message,associatedData) {}

public XAppExitException(string message,Exception innerException,T associatedData)
   :base(message,innerException,associatedData) {}

public XAppExitException(string message,int exitCode,T associatedData)
   :base(message,exitCode,associatedData) {}

public XAppExitException( string message, Exception innerException,
                          int exitCode, T associatedData )
   :base(message,innerException,exitCode,associatedData) {}

//--------------------------------------------------------------------------------------------------

public XAppExitException(int exitCode,T associatedData)
   :base(exitCode,associatedData) {}

public XAppExitException(Exception innerException,T associatedData)
   :base(innerException,associatedData) {}

public XAppExitException(Exception innerException,int exitCode,T associatedData)
   :base(innerException,exitCode,associatedData) {}

//==================================================================================================

public new T AssociatedData
{
   get { return (T)base.AssociatedData; }
}

//==================================================================================================

static XAppExitException()
{
   Library.Access();
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XAppExitException<T>
//**************************************************************************************************

} // XHelpers
