﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;

namespace XHelpers {

//**************************************************************************************************
/// <summary>
/// </summary>
public abstract partial class XEscapeException<T>: XEscapeException {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public XEscapeException()
   :base () {}

public XEscapeException(string message)
   :base (message) {}

public XEscapeException(Exception innerException)
   :base (innerException) {}

public XEscapeException(string message,Exception innerException)
   :base(message,innerException) {}

//--------------------------------------------------------------------------------------------------

public XEscapeException(T associatedData)
   :base (associatedData) {}

public XEscapeException(string message,T associatedData)
   :base (message,associatedData) {}

public XEscapeException(Exception innerException,T associatedData)
   :base (innerException,associatedData) {}

public XEscapeException(string message,Exception innerException,T associatedData)
   :base(message,innerException,associatedData) {}

//--------------------------------------------------------------------------------------------------

public new T AssociatedData
{
   get { return (T)base.AssociatedData; }
   set { AssociatedData = value; }
}

//==================================================================================================

static XEscapeException()
{
   Library.Access();
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XEscapeException<T>
//**************************************************************************************************

} // XHelpers
