﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Runtime.Serialization;

namespace XHelpers {

//**************************************************************************************************
/// <summary>
/// </summary>
#if !SILVERLIGHT
[Serializable]
#endif // !SILVERLIGHT
public partial class XOperationFailedException: XException {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public XOperationFailedException()
   :base (_DefaultMessage_) {}

public XOperationFailedException(string message)
   :base (message) {}

public XOperationFailedException(Exception innerException)
   :base (_DefaultMessage_,innerException) {}

//--------------------------------------------------------------------------------------------------

public XOperationFailedException(object associatedData)
   :base (_DefaultMessage_,associatedData) {}

public XOperationFailedException(string message,object associatedData)
   :base (message,associatedData) {}

public XOperationFailedException(Exception innerException,object associatedData)
   :base (_DefaultMessage_,innerException,associatedData) {}

//==================================================================================================

#if !SILVERLIGHT
protected XOperationFailedException(SerializationInfo info,StreamingContext context)
   :base(info,context) {}
#endif // !SILVERLIGHT

//==================================================================================================

const string
   _DefaultMessage_ = "Operation completed with failure.";

//==================================================================================================

static XOperationFailedException()
{
   Library.Access();
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XOperationFailedException
//**************************************************************************************************

} // XHelpers
