﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;

namespace XHelpers {

//**************************************************************************************************
static partial class Library {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

internal static void Access()
{
   XFatalError.Access();
   XProgram.Access();
}

//==================================================================================================

static Library()
{
   if (!(XOps.IsOneOf(XPlatform.Bitness,32,64)))
      throw new XInvalidEnvironmentException(
         "XHelpers Library is designed for 32/64-bit platforms only." );
   if (!XOperatingSystem.IsWindows2KOrLater())
      throw new XInvalidEnvironmentException(
         "XHelpers Library requires \"Windows 2000\" or later OS." );
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // Library
//**************************************************************************************************

} // XHelpers
