﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Globalization;

namespace XHelpers {

//**************************************************************************************************
public static partial class XInt64 {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static bool TryParse(string src,out Int64 dst)
   { return XValueParser.TryParse(src,out dst); }
public static bool TryParse(string src,Int64 def,out Int64 dst)
   { return XValueParser.TryParse(src,def,out dst); }

public static bool TryParse(string src,NumberStyles styles,out Int64 dst)
   { return XNumParser.TryParse(src,styles,out dst); }
public static bool TryParse( string src, NumberStyles styles, Int64 def,
                             out Int64 dst )
   { return XNumParser.TryParse(src,styles,def,out dst); }

public static bool TryParse( string src, IFormatProvider provider,
                             out Int64 dst )
   { return XValueParser.TryParse(src,provider,out dst); }
public static bool TryParse( string src, IFormatProvider provider, Int64 def,
                             out Int64 dst )
   { return XValueParser.TryParse(src,provider,def,out dst); }

public static bool TryParse( string src, NumberStyles styles, IFormatProvider provider,
                             out Int64 dst )
   { return XNumParser.TryParse(src,styles,provider,out dst); }
public static bool TryParse( string src, NumberStyles styles,
                             IFormatProvider provider, Int64 def,
                             out Int64 dst )
   { return XNumParser.TryParse(src,styles,provider,def,out dst); }

//--------------------------------------------------------------------------------------------------

public static bool TryParseInvariant(string src,out Int64 dst)
   { return XNumParser.TryParseInvariant(src,out dst); }
public static bool TryParseInvariant(string src,Int64 def,out Int64 dst)
   { return XNumParser.TryParseInvariant(src,def,out dst); }

public static bool TryParseInvariant( string src, NumberStyles styles,
                                      out Int64 dst )
   { return XNumParser.TryParseInvariant(src,styles,out dst); }
public static bool TryParseInvariant( string src, NumberStyles styles, Int64 def,
                                      out Int64 dst )
   { return XNumParser.TryParseInvariant(src,styles,def,out dst); }

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XInt64
//**************************************************************************************************

} // XHelpers
