﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Runtime.Serialization;

namespace XHelpers {

//**************************************************************************************************
/// <summary>
/// </summary>
#if !SILVERLIGHT
[Serializable]
#endif // !SILVERLIGHT
public partial class XInvalidEnvironmentException: XException {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public XInvalidEnvironmentException()
   :base ("Operation can not be performed under current environment.") {}

public XInvalidEnvironmentException(string message)
   :base (message) {}

//==================================================================================================

#if !SILVERLIGHT
protected XInvalidEnvironmentException(SerializationInfo info,StreamingContext context)
   :base(info,context) {}
#endif // !SILVERLIGHT

//==================================================================================================

static XInvalidEnvironmentException()
{
   Library.Access();
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XInvalidEnvironmentException
//**************************************************************************************************

} // XHelpers
