﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Runtime.Serialization;

namespace XHelpers {

//**************************************************************************************************
/// <summary>
/// </summary>
#if !SILVERLIGHT
[Serializable]
#endif // !SILVERLIGHT
public partial class XParseValueException: XException {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public XParseValueException()
   :base(_ValueParseFailed_) {}

public XParseValueException(string strMessage)
   :base(strMessage) {}

public XParseValueException(string strMessage,Exception innerException)
   :base(strMessage,innerException) {}

public XParseValueException(Exception innerException)
   :base(_ValueParseFailed_,innerException) {}

//==================================================================================================

#if !SILVERLIGHT
protected XParseValueException(SerializationInfo info,StreamingContext context): base(info,context)
{}
#endif // !SILVERLIGHT

//==================================================================================================

static XParseValueException()
{
   Library.Access();
}

//==================================================================================================

const string
   _ValueParseFailed_ = "Value parse has failed.";

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XParseValueException
//**************************************************************************************************

} // XHelpers
