@echo off
setlocal

if "%~0"=="CLEAN_LOCAL.cmd" goto BEGIN
cls
echo 
echo  REMOVING LOCAL OUTPUT AND INTERMEDIATE FILES/FOLDERS: 

:BEGIN
call :RESET_ERROR

call #SETTINGS.cmd
if %errorlevel% neq 0 goto ERROR

call :EXEC_CMD MsBuild /nologo "%#ProjectFileName%" /t:"XCleanLocal"
if %errorlevel% neq 0 goto ERROR

:DONE
if "%~0"=="CLEAN_LOCAL.cmd" goto FINISH
echo.
echo 
goto FINISH

rem ================================================================================

:RESET_ERROR
set errorlevel=0
set errorlevel=
goto :EOF

:EXEC_CMD
echo.
echo  %* ...
echo.
%*
goto :EOF

rem ================================================================================

:ERROR
if "%~0"=="CLEAN_LOCAL.cmd" goto ERROR_EXIT
echo 
pause

:ERROR_EXIT
endlocal
set errorlevel=1
goto :EOF

:FINISH
endlocal
call :RESET_ERROR
if "%~0"=="CLEAN_LOCAL.cmd" goto :EOF
echo.
pause
goto :EOF

rem ================================================================================
