@echo off
setlocal

if "%~0"=="REBUILD_R.cmd" goto BEGIN
cls
echo RE-BUILDING "RELEASE" CONFIGURATION:
echo 

:BEGIN
call :RESET_ERROR

call #SETTINGS.cmd
if %errorlevel% neq 0 goto ERROR

call :EXEC_CMD MsBuild /nologo "%#ProjectFileName%" /t:"Rebuild" /p:Configuration="Release"
if %errorlevel% neq 0 goto FAILURE

rem ================================================================================

:SUCCESS
if "%~0"=="REBUILD_R.cmd" goto FINISH
echo.
echo  REBUILD (RELEASE)  SUCCESS 
goto FINISH

:FAILURE
if "%~0"=="REBUILD_R.cmd" goto ERROR
echo.
echo  ## REBUILD (RELEASE)  FAILURE 
goto ERROR

rem ================================================================================

:RESET_ERROR
set errorlevel=0
set errorlevel=
goto :EOF

:EXEC_CMD
echo.
echo  %* ...
echo.
%*
goto :EOF

rem ================================================================================

:ERROR
if "%~0"=="REBUILD_R.cmd" goto ERROR_EXIT
echo 
pause

:ERROR_EXIT
endlocal
set errorlevel=1
goto :EOF

:FINISH
endlocal
call :RESET_ERROR
if "%~0"=="REBUILD_R.cmd" goto :EOF
echo.
pause
goto :EOF

rem ================================================================================
