﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;

using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Input;

namespace XHelpers {

//**************************************************************************************************
/// <summary>
/// </summary>
public static partial class XMenu {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static void AppendCommand(MenuBase menu,RoutedCommand command)
{
   AppendCommand(menu,command,false);
}

public static void AppendCommand(MenuBase menu,RoutedCommand command,bool separate)
{
   if (separate && menu.Items.Count>0)
      AppendSeparator( menu );
   menu.Items.Add( command );
}

public static void AppendSeparator(MenuBase menu)
{
   menu.Items.Add(new Separator());
}

//==================================================================================================

static XMenu()
{
   Library.Access();
}


//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XMenu
//**************************************************************************************************

} // XHelpers
