﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;

using System.Windows;

namespace XHelpers {

//**************************************************************************************************
/// <summary>
/// </summary>
public static partial class XUIElement {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static Point GetRelativePoint(UIElement element,UIElement parent,Point point)
{
   var generalTransform = element.TransformToVisual( parent );
   return generalTransform.Transform( point );
}

public static Point GetRelativeOffset(UIElement element,UIElement parent)
{
   return GetRelativePoint(element,parent,new Point());
}

//==================================================================================================

static XUIElement()
{
   Library.Access();
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XUIElement
//**************************************************************************************************

} // XHelpers
