﻿//**************************************************************************************************
//
// GENERATION OF MANAGED ASSEMBLY INFO, RELATED TO WIN-32 RESOURCES (AND SOME ADDITIONAL) --
// TO BE INCLUDED INTO USER'S C++ SOURCE FILE RESPONSIBLE FOR ASSEMBLY INFORMATION.
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#ifdef $GEN_ASSEMBLY_VERSION_H
   #error "Attempt to repeatedly include file: 'GenAssemblyInfo.h'."
#endif
#define $GEN_ASSEMBLY_VERSION_H

#include "VersionInfoDefs.h"


//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// Applying assembly attributes:
//
//==================================================================================================

[assembly:System::Reflection::AssemblyVersion($VER_VERSION_STRING)];

#ifdef $VER_ASSEMBLY_CONFIGURATION
   [assembly:System::Reflection::AssemblyConfiguration($VER_ASSEMBLY_CONFIGURATION)];
#endif


//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// Applying assembly attributes, according to Win32 resource constants:
//
//==================================================================================================

#ifdef $VER_FILE_DESCRIPTION
   [assembly:System::Reflection::AssemblyTitle($VER_FILE_DESCRIPTION)];
#endif

#ifdef $VER_COMMENTS
   [assembly:System::Reflection::AssemblyDescription($VER_COMMENTS)];
#endif

#ifdef $VER_COMPANY_NAME
   [assembly:System::Reflection::AssemblyCompany($VER_COMPANY_NAME)];
#endif

#ifdef $VER_PRODUCT_NAME
   [assembly:System::Reflection::AssemblyProduct($VER_PRODUCT_NAME)];
#endif

#ifdef $VER_LEGAL_COPYRIGHT
   [assembly:System::Reflection::AssemblyCopyright($VER_LEGAL_COPYRIGHT)];
#endif

#ifdef $VER_LEGAL_TRADEMARKS
   [assembly:System::Reflection::AssemblyTrademark($VER_LEGAL_TRADEMARKS)];
#endif


//**************************************************************************************************
