﻿#pragma once

#ifndef $KERNEL_UTILS_H
   #error "This header file is designed to be included only from 'KernelUtils.h'."
#endif

//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// ASSERTION DEFS:
//
//==================================================================================================

#if DBG
   #define $ASSERT(condition) \
      ( (condition) ? $VOID_VALUE : \
        ( $RaiseFatalErrorDbg_AssertionFailure(__FILE__,__LINE__,$STRINGIZE(condition)), \
          $VOID_VALUE ) )
#else
   #define $ASSERT(condition) \
      ( (condition) ? $VOID_VALUE : \
        ( $RaiseFatalError_AssertionFailure(__FUNCTION__), \
          $VOID_VALUE ) )
#endif

//==================================================================================================
