@echo off
if "%~0"=="REBUILD_ALL.cmd" goto START
cls

echo RE-BUILDING ALL PLATFORMS/CONFIGURATIONS:
echo 

:START
setlocal
set errorlevel=0
set errorlevel=

call CLEAN_ALL.cmd
if %errorlevel% neq 0 goto FAILURE

call REBUILD_X86_C.cmd
if %errorlevel% neq 0 goto FAILURE

call REBUILD_X86_F.cmd
if %errorlevel% neq 0 goto FAILURE

call REBUILD_X64_C.cmd
if %errorlevel% neq 0 goto FAILURE

call REBUILD_X64_F.cmd
if %errorlevel% neq 0 goto FAILURE

rem goto SUCCESS

echo.
echo 

call CLEAN_LOCAL.cmd
if %errorlevel% neq 0 goto ERROR

echo.
echo 

:SUCCESS
if "%~0"=="REBUILD_ALL.cmd" goto FINISH
echo.
echo  REBUILD ALL  SUCCESS 
goto FINISH

:FAILURE
if "%~0"=="REBUILD_ALL.cmd" goto ERROR
echo.
echo  ## REBUILD ALL  FAILURE 
goto ERROR

rem ================================================================================

:ERROR
if "%~0"=="REBUILD_ALL.cmd" goto SET_ERROR
echo 
pause

:SET_ERROR
endlocal
set errorlevel=1
goto :EOF

:FINISH
endlocal
set errorlevel=0
set errorlevel=
if "%~0"=="REBUILD_ALL.cmd" goto :EOF
echo.
pause

rem ================================================================================
