@echo off
if "%~0"=="REBUILD_X64_C.cmd" goto START
cls

echo RE-BUILDING FOR "X64"  "CHECKED":
echo 

:START
setlocal
set errorlevel=0
set errorlevel=

call #SETTINGS.cmd
if %errorlevel% neq 0 goto FAILURE

call #DELETE_FILE.cmd "%#LibPath_x64_C%"
if %errorlevel% neq 0 goto FAILURE

call $WDKBUILD.cmd Clean "%#CleanupKeyword_x64_C%"
if %errorlevel% neq 0 goto FAILURE

echo.
echo 

call $WDKBUILD.cmd "amd64" "%#OS_for_x64%" "checked" %#RebuildParameters%
if %errorlevel% neq 0 goto FAILURE

call #COPY_FILE.cmd "%#OutputModulePath_x64_C%" "%#LibDir_x64_C%"
if %errorlevel% neq 0 goto FAILURE

:SUCCESS
if "%~0"=="REBUILD_X64_C.cmd" goto FINISH
echo.
echo  REBUILD FOR "X64" (CHECKED)  SUCCESS 
goto FINISH

:FAILURE
if "%~0"=="REBUILD_X64_C.cmd" goto ERROR
echo.
echo  ## REBUILD FOR "X64" (CHECKED)  FAILURE 
goto ERROR

rem ================================================================================

:ERROR
if "%~0"=="REBUILD_X64_C.cmd" goto SET_ERROR
echo 
pause

:SET_ERROR
endlocal
set errorlevel=1
goto :EOF

:FINISH
endlocal
set errorlevel=0
set errorlevel=
if "%~0"=="REBUILD_X64_C.cmd" goto :EOF
echo.
pause
goto :EOF

rem ================================================================================
