﻿#include "Precompiled.h"
#include "SharedIncludes.h"

namespace ShaperAccess {

//==================================================================================================

ShaperException::ShaperException()
{}

ShaperException::ShaperException(String^ strMessage)
   :Exception(strMessage)
{}

ShaperException::ShaperException(String^ strMessage,Exception^ innerException)
   :Exception(strMessage,innerException)
{}

//--------------------------------------------------------------------------------------------------

ShaperException^ ShaperException::Create(String^ strMessageFmt, ... array<Object^>^ aobParams)
{
   return gcnew ShaperException(String::Format(strMessageFmt,aobParams));
}

//==================================================================================================

} // ShaperAccess
