﻿using System;
using System.ComponentModel;

using ElementaryExtensions;
using ShaperAccess;

namespace ShaperTerminal {

//**************************************************************************************************
static partial class Program {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

static void DeactivateDeviceProcedure()
{
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

   ЄConsole.PrintDoubleSplitter(true);

   s_strActiveRegLayoutDisplayName=null;

   ЄConsole.PrintOperation(true,"Посылка команды деактивации");

   try
   {
      ShaperDevice.Deactivate();
   }
   catch (Win32Exception e)
   {
      ReportError(e);
      CompletionDialog_Continue();
      return;
   }

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

   ЄConsole.PrintDoubleSplitter(true);

   ReportSuccess(true,"Устройство переведено в неактивное состояние.");

   PauseUI();

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // Program
//**************************************************************************************************

} // ShaperTerminal
