@echo off
if "%~0"=="CLEAN_ALL.cmd" goto START
cls

echo 
echo  REMOVING ALL OUTPUT AND INTERMEDIATE FILES/FOLDERS: 

:START
setlocal
set errorlevel=0
set errorlevel=

call #SETTINGS.cmd
if %errorlevel% neq 0 goto ERROR

call :EXEC_CMD MsBuild /nologo "%#ProjectFileName%" /t:"_CleanAll_"
if %errorlevel% neq 0 goto ERROR

:DONE
if "%~0"=="CLEAN_ALL.cmd" goto FINISH
echo.
echo 
goto FINISH

rem ================================================================================

:EXEC_CMD
echo.
echo  %* ...
echo.
%*
goto :EOF

rem ================================================================================

:ERROR
if "%~0"=="CLEAN_ALL.cmd" goto SET_ERROR
echo 
pause

:SET_ERROR
endlocal
set errorlevel=1
goto :EOF

:FINISH
endlocal
set errorlevel=0
set errorlevel=
if "%~0"=="CLEAN_ALL.cmd" goto :EOF
echo.
pause
goto :EOF

rem ================================================================================
