@echo off
if "%~0"=="CHECK_INF.cmd" goto START
cls

echo CHECKING INF-FILE:
echo 

:START
setlocal
set errorlevel=0
set errorlevel=
set SaveCD=%CD%

call #SETTINGS.cmd
if %errorlevel% neq 0 goto FAILURE

set TempInfPath=%TEMP%\%#InfName%

call :DELETE_FILE "%#CheckInfHtmlDir%\summary.htm"
if %errorlevel% neq 0 goto FAILURE

call :DELETE_FILES "%#CheckInfHtmlDir%\*_%#ProjectName%.htm"
if %errorlevel% neq 0 goto FAILURE

call :EXEC_CMD copy/b "%#InxName%" "%TempInfPath%"
if %errorlevel% neq 0 goto FAILURE

call :CHANGE_PATH "%#CheckInfDir%"
if %errorlevel% neq 0 goto FAILURE

echo.
echo 

call chkinf.bat "%TempInfPath%" /b
if %errorlevel% neq 0 goto FAILURE

echo.
echo 

call :RESTORE_PATH

:SUCCESS
if "%~0"=="CHECK_INF.cmd" goto FINISH
echo.
echo  CHECK INF-FILE  SUCCESS 
goto SET_NO_ERROR

:FAILURE
if "%~0"=="CHECK_INF.cmd" goto ERROR
echo.
echo  ## CHECK INF-FILE  FAILURE 
goto ERROR

rem ================================================================================

:EXEC_CMD
echo.
echo  %* ...
echo.
%*
goto :EOF

:DELETE_FILE
if not exist "%~1" goto :EOF
echo.
echo * Deleting file: "%~1" ...
del/q "%~1"
if not exist "%~1" goto :EOF
set errorlevel=1
goto :EOF

:DELETE_FILES
if not exist "%~1" goto :EOF
echo.
echo * Deleting files: "%~1" ...
del/q "%~1"
if not exist "%~1" goto :EOF
set errorlevel=1
goto :EOF

rem ================================================================================

:CHANGE_PATH
echo.
echo * Changing path to: "%~1" ...
cd /d "%~1"
goto :EOF

:RESTORE_PATH
if "%CD%"=="%SaveCD%" goto :EOF
echo.
echo * Restoring path to: "%SaveCD%" ...
cd /d "%SaveCD%"
if "%CD%"=="%SaveCD%" goto :EOF

echo.
echo ## FATAL ERROR:
echo Can not restore path to: "%SaveCD%".
echo.
echo Batch processing terminated!
echo 
pause
exit

rem ================================================================================

:ERROR
if "%~0"=="CHECK_INF.cmd" goto SKIP_ERROR_PAUSE
echo 
pause

:SKIP_ERROR_PAUSE
call :RESTORE_PATH

:SET_ERROR
endlocal
set errorlevel=1
goto :EOF

:FINISH
if "%~0"=="CHECK_INF.cmd" goto SKIP_FINISH_PAUSE
echo.
pause

:SKIP_FINISH_PAUSE
call :RESTORE_PATH

:SET_NO_ERROR
endlocal
set errorlevel=0
set errorlevel=
goto :EOF

rem ================================================================================
