@echo off
if "%~0"=="REBUILD_X64_F.cmd" goto START
cls

echo RE-BUILDING FOR "X64"  "FREE":
echo 

:START
setlocal
set errorlevel=0
set errorlevel=

call #SETTINGS.cmd
if %errorlevel% neq 0 goto FAILURE

call $WDKBUILD.cmd Clean "%#CleanupKeyword_x64_F%"
if %errorlevel% neq 0 goto FAILURE

echo.
echo 

call $WDKBUILD.cmd "amd64" "%#OS_for_x64%" "free" %#RebuildParameters%
if %errorlevel% neq 0 goto FAILURE

call #COPY_FILE.cmd "%#WdfCoInstallerRedistrPath_x64%" "%#OutputDir_x64_F%"
if %errorlevel% neq 0 goto FAILURE

:SUCCESS
if "%~0"=="REBUILD_X64_F.cmd" goto FINISH
echo.
echo  REBUILD FOR "X64" (FREE)  SUCCESS 
goto FINISH

:FAILURE
if "%~0"=="REBUILD_X64_F.cmd" goto ERROR
echo.
echo  ## REBUILD FOR "X64" (FREE)  FAILURE 
goto ERROR

rem ================================================================================

:ERROR
if "%~0"=="REBUILD_X64_F.cmd" goto SET_ERROR
echo 
pause

:SET_ERROR
endlocal
set errorlevel=1
goto :EOF

:FINISH
endlocal
set errorlevel=0
set errorlevel=
if "%~0"=="REBUILD_X64_F.cmd" goto :EOF
echo.
pause
goto :EOF

rem ================================================================================
