﻿#include "Precompiled.h"
#include "SharedIncludes.h"

namespace XDeviceTest {

//==================================================================================================

void XConsole::Type(String^ str)
   { Output(NormalColor,str); }
void XConsole::Type(String^ strFormat, ... array<Object^>^ aobParams)
   { Output(NormalColor,strFormat,aobParams); }

void XConsole::Type(ConsoleColor color,String^ str)
   { Output(color,str); }
void XConsole::Type(ConsoleColor color,String^ strFormat, ... array<Object^>^ aobParams)
   { Output(color,strFormat,aobParams); }

//--------------------------------------------------------------------------------------------------

void XConsole::TypeFaint(String^ str)
   { Type(FaintColor,str); }
void XConsole::TypeFaint(String^ strFormat, ... array<Object^>^ aobParams)
   { Type(FaintColor,strFormat,aobParams); }

void XConsole::TypeIntensive(String^ str)
   { Type(IntensiveColor,str); }
void XConsole::TypeIntensive(String^ strFormat, ... array<Object^>^ aobParams)
   { Type(IntensiveColor,strFormat,aobParams); }

void XConsole::TypeImportant(String^ str)
   { Type(ImportantColor,str); }
void XConsole::TypeImportant(String^ strFormat, ... array<Object^>^ aobParams)
   { Type(ImportantColor,strFormat,aobParams); }

void XConsole::TypeExpressive(String^ str)
   { Type(ExpressiveColor,str); }
void XConsole::TypeExpressive(String^ strFormat, ... array<Object^>^ aobParams)
   { Type(ExpressiveColor,strFormat,aobParams); }

void XConsole::TypeExclamation(String^ str)
   { Type(ExclamationColor,str); }
void XConsole::TypeExclamation(String^ strFormat, ... array<Object^>^ aobParams)
   { Type(ExclamationColor,strFormat,aobParams); }

void XConsole::TypeInformation(String^ str)
   { Type(InformationColor,str); }
void XConsole::TypeInformation(String^ strFormat, ... array<Object^>^ aobParams)
   { Type(InformationColor,strFormat,aobParams); }

void XConsole::TypeWarning(String^ str)
   { Type(WarningColor,str); }
void XConsole::TypeWarning(String^ strFormat, ... array<Object^>^ aobParams)
   { Type(WarningColor,strFormat,aobParams); }

void XConsole::TypeError(String^ str)
   { Type(ErrorColor,str); }
void XConsole::TypeError(String^ strFormat, ... array<Object^>^ aobParams)
   { Type(ErrorColor,strFormat,aobParams); }

void XConsole::TypeSuccess(String^ str)
   { Type(SuccessColor,str); }
void XConsole::TypeSuccess(String^ strFormat, ... array<Object^>^ aobParams)
   { Type(SuccessColor,strFormat,aobParams); }

//==================================================================================================

} // XDeviceTest
