﻿//**************************************************************************************************
//
// КЛАСС ХЕЛПЕРОВ СИСТЕМНОГО ДЕСКРИПТОРА (СТАТИЧЕСКИЙ).
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#pragma once

namespace XDeviceTest {

//**************************************************************************************************
ref class Handle
{
   static Handle() {}

public:
   static HANDLE Exchange([In][Out] HANDLE% handle,HANDLE value);
   static HANDLE VolatileExchange([In][Out] HANDLE volatile* pHandle,HANDLE value);

   static HANDLE InactiveValue(bool bIsOfInvalidHandleValueCategory);
   static bool IsActiveValue(HANDLE handle,bool bIsOfInvalidHandleValueCategory);

   static void Close([Optional] HANDLE handle);
   static void Close([Optional] HANDLE handle,bool bIsOfInvalidHandleValueCategory);

   static void ZeroAndClose([In][Out][Optional] HANDLE% handle);
   static void InvalidateAndClose([In][Out][Optional] HANDLE% handle);
   static void ResetAndClose([In][Out][Optional] HANDLE% handle,bool bIsOfInvalidHandleValueCategory);

   static void VolatileZeroAndClose([In][Out] HANDLE volatile* pHandle);
   static void VolatileInvalidateAndClose([In][Out] HANDLE volatile* pHandle);
   static void VolatileResetAndClose( [In][Out] HANDLE volatile* pHandle,
                                      bool bIsOfInvalidHandleValueCategory );
};
//**************************************************************************************************

} // XDeviceTest
