﻿#include "Precompiled.h"
#include "SharedIncludes.h"

namespace XDeviceTest {

//==================================================================================================

OperationFailureException::OperationFailureException()
{}

OperationFailureException::OperationFailureException(String^ strMessage)
   :Exception(strMessage)
{}

OperationFailureException::OperationFailureException(String^ strMessage,Exception^ innerException)
   :Exception(strMessage,innerException)
{}

//--------------------------------------------------------------------------------------------------

OperationFailureException^ OperationFailureException::Create( String^ strMessageFmt,
                                                              array<Object^>^ aobParams )
{
   return gcnew OperationFailureException(String::Format(strMessageFmt,aobParams));
}

//==================================================================================================

} // XDeviceTest
