@echo off
if "%~0"=="RUN_X86_D.cmd" goto START
cls

echo RUNNING THE APPLICATION (X86/DEBUG):
echo 

:START
setlocal
set errorlevel=0
set errorlevel=
set SaveCD=%CD%

call #SETTINGS.cmd
if %errorlevel% neq 0 goto ERROR

call :CHANGE_PATH "%#OutputDir_x86_D%"
if %errorlevel% neq 0 goto ERROR

cls
%#TargetModuleName% %*
if %errorlevel% neq 0 goto ERROR

goto FINISH

rem ================================================================================

:CHANGE_PATH
echo.
echo * Changing path to: "%~1" ...
cd /d "%~1"
goto :EOF

:RESTORE_PATH
if "%CD%"=="%SaveCD%" goto :EOF
echo.
echo * Restoring path to: "%SaveCD%" ...
cd /d "%SaveCD%"
if "%CD%"=="%SaveCD%" goto :EOF

echo.
echo ## FATAL ERROR:
echo Can not restore path to: "%SaveCD%".
echo.
echo Batch processing terminated!
echo 
pause
exit

rem ================================================================================

:ERROR
if "%~0"=="RUN_X86_D.cmd" goto SKIP_ERROR_PAUSE
echo 
pause

:SKIP_ERROR_PAUSE
call :RESTORE_PATH

:SET_ERROR
endlocal
set errorlevel=1
goto :EOF

:FINISH
if "%~0"=="RUN_X86_D.cmd" goto SKIP_FINISH_PAUSE
echo.
pause

:SKIP_FINISH_PAUSE
call :RESTORE_PATH

:SET_NO_ERROR
endlocal
set errorlevel=0
set errorlevel=
goto :EOF

rem ================================================================================
