@echo off
setlocal

if "%~0"=="START.cmd" goto BEGIN
cls
echo STARTING APPLICATION:
echo 

:BEGIN
call :RESET_ERROR

set AppName=ConsoleCalculator

set ExeName=%AppName%.exe
set ExeFile=%~dp0%AppName%.exe

call :EXEC_CMD start /max "%AppName%" "%ExeFile%" %*
if %errorlevel% neq 0 goto ERROR

rem ================================================================================

if "%~0"=="START.cmd" goto NORMAL_EXIT
echo  DONE 
goto NORMAL_EXIT

rem ================================================================================

:RESET_ERROR
set errorlevel=0
set errorlevel=
goto :EOF

:EXEC_CMD
echo.
echo  %* ...
echo.
%*
goto :EOF

rem ================================================================================

:ERROR
if "%~0"=="START.cmd" goto ERROR_EXIT
echo 
pause

:ERROR_EXIT
endlocal
set errorlevel=1
goto :EOF

:NORMAL_EXIT
endlocal
call :RESET_ERROR
goto :EOF

rem ================================================================================
