@echo off
cls

echo STARTING THE APPLICATION:
echo 

setlocal
set errorlevel=0
set errorlevel=

if not defined PROCESSOR_ARCHITECTURE goto PROC_ARC_NOT_DEF

set AppName=QuickInfo

set ProcessorArchitecture=%PROCESSOR_ARCHITECTURE%
if /i "%ProcessorArchitecture%"=="AMD64" set ProcessorArchitecture=x64

set StartupDir=%~dp0
set ExeFile=%StartupDir%%ProcessorArchitecture%\%AppName%.exe

call :EXEC_CMD start /max "" /D"%StartupDir%" "%ExeFile%" %*
if %errorlevel% neq 0 goto ERROR

echo  START  OK 
goto :EOF

rem ================================================================================

:PROC_ARC_NOT_DEF
echo.
echo ## Environment variable is not defined: "PROCESSOR_ARCHITECTURE".
goto ERROR

rem ================================================================================

:EXEC_CMD
echo.
echo  %* ...
echo.
%*
goto :EOF

:ERROR
echo 
pause
goto :EOF

rem ================================================================================
