@echo off
if "%~0"=="LIST_STORE.cmd" goto START
cls

echo LISTING CERTIFICATES:
echo 

:START
setlocal
set errorlevel=0
set errorlevel=

call #SETTINGS.cmd
if %errorlevel% neq 0 goto ERROR

set Command=CertMgr -s -r "%#StoreLocation%" "%#StoreName%"
echo.
echo  %Command% ^> "%#CertListFile%" ...
echo.
%Command% > "%#CertListFile%"
if %errorlevel% neq 0 goto FAILURE

:SUCCESS
if "%~0"=="LIST_STORE.cmd" goto FINISH
echo.
echo  LIST CERTIFICATES  SUCCESS 
goto FINISH

:FAILURE
if "%~0"=="LIST_STORE.cmd" goto ERROR
echo.
echo  ## LIST CERTIFICATES  FAILURE 
goto ERROR

rem ================================================================================

:ERROR
if "%~0"=="LIST_STORE.cmd" goto SET_ERROR
echo 
pause

:SET_ERROR
endlocal
set errorlevel=1
goto :EOF

:FINISH
endlocal
set errorlevel=0
set errorlevel=
if "%~0"=="LIST_STORE.cmd" goto :EOF
echo.
pause
goto :EOF

rem ================================================================================
