:SetVar Procedure "paycoll_VerifyBankAccount"
exec sys_DropProcedure '$(Procedure)'
GO
create procedure [$(Procedure)] (@Bik $(dt_Bik),@BankAccountID $(dt_BankAccount))
AS
/*================================================================================================*/
/*
##   ר ר  ""-:
*/
/*================================================================================================*/
$(BEGIN)
----------------------------------------------------------------------------------------------------

if @Bik is null or @BankAccountID is null
   raiserror ('   "$(Procedure)".',11,1)

----------------------------------------------------------------------------------------------------

exec [paycoll_VerifyBik] @Bik

----------------------------------------------------------------------------------------------------

if LEN(@BankAccountID)<>$(num_BankAccountLength)
   raiserror ('     .',11,1)

declare
   @HighDec bigint, @LowDec bigint
begin try
   select
      @HighDec= CONVERT(bigint,SUBSTRING(@BankAccountID, 1,10)),
      @LowDec = CONVERT(bigint,SUBSTRING(@BankAccountID,11,10))
end try
begin catch
   raiserror ('    .',11,1)
end catch
if @HighDec<0
   raiserror ('     .',11,1)

----------------------------------------------------------------------------------------------------

if dbo.[paycoll_CheckBankAccount]( @Bik, @BankAccountID ) <> 1
   raiserror (
      '        .',
      11, 1 )

----------------------------------------------------------------------------------------------------
$(END)
/*================================================================================================*/
GO
