:SetVar Procedure "paycoll_RemoveCompanyProperties"
exec sys_DropProcedure '$(Procedure)'
GO
create procedure [$(Procedure)] (@IsSelfManagedSubdiv bit,@CompanyID int)
AS
/*================================================================================================*/
/*
##    :
*/
/*================================================================================================*/
$(BEGIN)
----------------------------------------------------------------------------------------------------
exec [paycoll_VerifyStateAndSecurity]
----------------------------------------------------------------------------------------------------

if @IsSelfManagedSubdiv is null or @CompanyID is null
   raiserror ('   "$(Procedure)".',11,1)

----------------------------------------------------------------------------------------------------

if @IsSelfManagedSubdiv=0
   delete PAYCOLL_PROPERTIES where MANAGEMENT_COMPANY_ID=@CompanyID
else
   delete PAYCOLL_PROPERTIES where TECHSUBDIV_ID=@CompanyID

----------------------------------------------------------------------------------------------------
$(END)
/*================================================================================================*/
GO
grant exec on [$(Procedure)] to [$(ident_AuthorizedGroup)]
GO
