@echo off
if "%~0"=="$SQL_SETTINGS.cmd" goto SET_ENVIRONMENT

echo.
echo ## Incorrect call of "$sql_settings.cmd" (auxiliary batch).
echo 
pause
exit

rem ================================================================================

:SET_ENVIRONMENT

rem set $sql_server=PROLIANT
rem set $sql_database=TEST

rem ================================================================================

set $ansi_cp=1251
set $oem_cp=866

rem set $sql_script_cp=
rem set $sql_report_cp=

rem set $sql_uploading_cp=
rem set $sql_uploading_colsep=

set $sql_settings_script=%~dpn0.sql

rem ================================================================================

set _apply_settings_=set xact_abort on set arithabort on set nocount on
set _declare_variables_=declare @_is_in_local_transaction_ bit set @_is_in_local_transaction_=0
set _obtain_exception_message_=declare @_exception_message_ nvarchar(512) set @_exception_message_=error_message()
set _rollback_uncommited_transaction_=if @_is_in_local_transaction_=1 and xact_state()=-1 rollback transaction
set _raise_exception_message_=raiserror (@_exception_message_,11,1)

rem --------------------------------------------------------------------------------

set BEGIN=begin %_apply_settings_% %_declare_variables_% begin try
set END=end try begin catch %_obtain_exception_message_% %_rollback_uncommited_transaction_% %_raise_exception_message_% end catch end

set BEGIN_TRANSACTION=begin begin transaction set @_is_in_local_transaction_=1 end
set COMMIT_TRANSACTION=begin commit transaction set @_is_in_local_transaction_=0 end

rem --------------------------------------------------------------------------------

set LOOP=while 0=0
set NOP=while 0=0 begin break end

set TRUE=(0=0)
set FALSE=(0=1)

set YES=convert(bit,1)
set NO=convert(bit,0)

set FLOAT_1=convert(float,1)

rem --------------------------------------------------------------------------------

set LAQUO=char(171)
set RAQUO=char(187)

set LANG=char(139)
set RANG=char(155)

set LDQUO=char(147)
set RDQUO=char(148)

set BULL=char(149)
set MIDDOT=char(183)

set PLUSMN=char(177)
set HELLIP=char(133)
set DEG=char(176)
set SECT=char(167)

set COPY=char(169)
set REG=char(174)

set MDASH=char(151)
set NDASH=char(150)

rem --------------------------------------------------------------------------------

set NL=(char(13)+char(10))
set NLNL=(%NL%+%NL%)

set LARROW=('^<'+%mdash%)
set RARROW=(%mdash%+'^>')

rem ================================================================================

set dt_String=varchar(256)
set dt_Message=nvarchar(512)
set dt_Name=varchar(100)

set ident_AuthorizedGroup=MPGROUP

rem ================================================================================

goto :EOF

rem ================================================================================

:ERROR
set errorlevel=1
goto :EOF

rem ================================================================================
