:SetVar ProcBaseName "DropTrigger"
if exists( select * from [sysobjects] (nolock) where [type]='P' and [name]='$(SysPrefix)$(ProcBaseName)' )
   drop procedure [$(SysPrefix)$(ProcBaseName)]
GO
create procedure [$(SysPrefix)$(ProcBaseName)] (@TriggerName $(dt_SysName))
AS
/*================================================================================================*/
/* System Helpers; Author: Sergei Kitaev
----------------------------------------------------------------------------------------------------
##
## === TRIGGER DESTRUCTION (IF EXISTS): ===
##
## Usage: exec <sysprefix>DropTrigger '<TriggerName>'
*/
/*================================================================================================*/
$(BEGIN)
----------------------------------------------------------------------------------------------------

if @TriggerName is null
   raiserror ('Incorrect call of "$(SysPrefix)$(ProcBaseName)" procedure.',11,1)

----------------------------------------------------------------------------------------------------

if exists( select * from [sysobjects] (nolock) where [type]='TR' and [name]=@TriggerName )
   exec('drop trigger ['+@TriggerName+']')

----------------------------------------------------------------------------------------------------
$(END)
/*================================================================================================*/
GO
