:SetVar ProcBaseName "DropType"
if exists( select * from [sysobjects] (nolock) where [type]='P' and [name]='$(SysPrefix)$(ProcBaseName)' )
   drop procedure [$(SysPrefix)$(ProcBaseName)]
GO
create procedure [$(SysPrefix)$(ProcBaseName)] (@TypeName $(dt_SysName))
AS
/*================================================================================================*/
/* System Helpers; Author: Sergei Kitaev
----------------------------------------------------------------------------------------------------
##
## === DATATYPE DESTRUCTION (IF EXISTS): ===
##
## Usage: exec <sysprefix>DropType '<TypeName>'
*/
/*================================================================================================*/
$(BEGIN)
----------------------------------------------------------------------------------------------------

if @TypeName is null
   raiserror ('Incorrect call of "$(SysPrefix)$(ProcBaseName)" procedure.',11,1)

----------------------------------------------------------------------------------------------------

if exists( select * from [systypes] (nolock) where [name]=@TypeName )
   exec [sp_DropType] @TypeName

----------------------------------------------------------------------------------------------------
$(END)
/*================================================================================================*/
GO
