:SetVar ProcBaseName "DropView"
if exists( select * from [sysobjects] (nolock) where [type]='P' and [name]='$(SysPrefix)$(ProcBaseName)' )
   drop procedure [$(SysPrefix)$(ProcBaseName)]
GO
create procedure [$(SysPrefix)$(ProcBaseName)] (@ViewName $(dt_SysName))
AS
/*================================================================================================*/
/* System Helpers; Author: Sergei Kitaev
----------------------------------------------------------------------------------------------------
##
## === DATAVIEW DESTRUCTION (IF EXISTS): ===
##
## Usage: exec <sysprefix>DropView '<ViewName>'
*/
/*================================================================================================*/
$(BEGIN)
----------------------------------------------------------------------------------------------------

if @ViewName is null
   raiserror ('Incorrect call of "$(SysPrefix)$(ProcBaseName)" procedure.',11,1)

----------------------------------------------------------------------------------------------------

if exists( select * from [sysobjects] (nolock) where [type]='V' and [name]=@ViewName )
   exec('drop view ['+@ViewName+']')

----------------------------------------------------------------------------------------------------
$(END)
/*================================================================================================*/
GO
