/*================================================================================================*/
/*
##
## DELETION OF ALL SYSTEM-LIKE STORED PROCEDURES AND FUNCTIONS:
##
*/
/*================================================================================================*/
$(BEGIN)
----------------------------------------------------------------------------------------------------

if exists( select * from [sysobjects] (nolock) where [type]='P' and [name]='$(SysPrefix)DropProcedure' )
   drop procedure [$(SysPrefix)DropProcedure]
if exists( select * from [sysobjects] (nolock) where [type]='P' and [name]='$(SysPrefix)DropProcedures' )
   drop procedure [$(SysPrefix)DropProcedures]

if exists( select * from [sysobjects] (nolock) where [type]='P' and [name]='$(SysPrefix)DropFunction' )
   drop procedure [$(SysPrefix)DropFunction]
if exists( select * from [sysobjects] (nolock) where [type]='P' and [name]='$(SysPrefix)DropFunctions' )
   drop procedure [$(SysPrefix)DropFunctions]

if exists( select * from [sysobjects] (nolock) where [type]='P' and [name]='$(SysPrefix)DropTrigger' )
   drop procedure [$(SysPrefix)DropTrigger]
   
if exists( select * from [sysobjects] (nolock) where [type]='P' and [name]='$(SysPrefix)DropTable' )
   drop procedure [$(SysPrefix)DropTable]

if exists( select * from [sysobjects] (nolock) where [type]='P' and [name]='$(SysPrefix)DropView' )
   drop procedure [$(SysPrefix)DropView]

if exists( select * from [sysobjects] (nolock) where [type]='P' and [name]='$(SysPrefix)DropType' )
   drop procedure [$(SysPrefix)DropType]

if exists( select * from [sysobjects] (nolock) where [type]='P' and [name]='$(SysPrefix)GrantExec' )
   drop procedure [$(SysPrefix)GrantExec]

if exists( select * from [sysobjects] (nolock) where [type]='P' and [name]='$(SysPrefix)RevokeExec' )
   drop procedure [$(SysPrefix)RevokeExec]

if exists( select * from [sysobjects] (nolock) where [type]='P' and [name]='$(SysPrefix)ListProcesses' )
   drop procedure [$(SysPrefix)ListProcesses]

----------------------------------------------------------------------------------------------------
$(END)
/*================================================================================================*/
