$(BEGIN)

$(BEGIN_TRANSACTION)

insert [CORRECTION_DOCUMENT_TYPES]
(
   [Id], [Name]
)
   select
      [Id], [Name]
   from
      [CORRECTION_DOCUMENT_TYPES:UPLOAD] dtu (nolock)
   where
      not exists( select * from [CORRECTION_DOCUMENT_TYPES] (nolock) where [Id]=dtu.Id )

update dt
   set
      [Name]=dtu.[Name]
   from
      [CORRECTION_DOCUMENT_TYPES] dt
   join
      [CORRECTION_DOCUMENT_TYPES:UPLOAD] dtu (nolock)
      on dtu.[Id]=dt.[Id]

$(COMMIT_TRANSACTION)

drop table [CORRECTION_DOCUMENT_TYPES:UPLOAD]

$(END)
