$(BEGIN)

----------------------------------------------------------------------------------------------------

$(BEGIN_TRANSACTION)

----------------------------------------------------------------------------------------------------

delete [CORRECTION_CAUSE_DOCTYPE_CORRESPONDENCE]

insert [CORRECTION_CAUSE_DOCTYPE_CORRESPONDENCE]
(
   [CauseId], [DocumentTypeId]
)
   select
      distinct [CauseId],[DocumentTypeId]
   from
      [CORRECTION_CAUSE_DOCTYPE_CORRESPONDENCE:UPLOAD] ca_dt_u (nolock)
   join
      [CORRECTION_CAUSES] ca (nolock)
      on ca.[Id]=ca_dt_u.[CauseId]
   join
      [CORRECTION_DOCUMENT_TYPES] dt (nolock)
      on dt.[Id]=ca_dt_u.[DocumentTypeId]
   where
      ca.[Indeterminate]=0 and
      dt.[Indeterminate]=0 and
      not exists( select * from [CORRECTION_CAUSE_DOCTYPE_CORRESPONDENCE] (nolock)
                  where [CauseId]=ca_dt_u.[CauseId] and [DocumentTypeId]=ca_dt_u.[DocumentTypeId] )

----------------------------------------------------------------------------------------------------

$(COMMIT_TRANSACTION)

----------------------------------------------------------------------------------------------------

drop table [CORRECTION_CAUSE_DOCTYPE_CORRESPONDENCE:UPLOAD]

----------------------------------------------------------------------------------------------------

$(END)
