:SetVar Procedure "PaycorMaster:AcceptCauseName"
exec [sys_DropProcedure] '$(Procedure)'
GO
create procedure [$(Procedure)]
(
   @CauseId    uniqueidentifier = null,
   @CauseName  $(dt_Name) out
)
AS
/*================================================================================================*/
/*
##    :
*/
/*================================================================================================*/
$(BEGIN)
----------------------------------------------------------------------------------------------------

if @CauseName is null
   raiserror ('   "$(Procedure)".',11,1)

if @CauseName=''
   raiserror ('   .',11,1)
if @CauseName<>LTRIM(@CauseName)
   raiserror ('   .',11,1)

----------------------------------------------------------------------------------------------------

set @CauseName=RTRIM(@CauseName)

----------------------------------------------------------------------------------------------------

if @CauseId is not null and
   not exists( select * from [CORRECTION_CAUSES] (nolock) where [Id]=@CauseId )
   raiserror ('     .',11,1)

if exists
(
   select *
   from [CORRECTION_CAUSES] (nolock)
   where [Name]=@CauseName and (@CauseId is null or [Id]<>@CauseId)
)
   raiserror (
      '       (  ).',
      11, 1 )

----------------------------------------------------------------------------------------------------
$(END)
/*================================================================================================*/
GO
