:SetVar Procedure "PaycorMaster:GetActiveCauses"
exec [sys_DropProcedure] '$(Procedure)'
GO
create procedure [$(Procedure)] (@Percental bit,@AffectsUnits bit)
AS
/*================================================================================================*/
/*
##     :
*/
/*================================================================================================*/
$(BEGIN)
----------------------------------------------------------------------------------------------------

if @Percental is null or @AffectsUnits is null
   raiserror ('   "$(Procedure)".',11,1)

----------------------------------------------------------------------------------------------------
--raiserror ('  .',11,1)
----------------------------------------------------------------------------------------------------

select
   ca.[Id],
   ca.[Name],
   ca.[CountersRelated]
from
   [CORRECTION_CAUSES] ca (nolock)
join
   [CORRECTION_TYPE_FLAGS] f (nolock)
   on f.[CauseId]=ca.[Id]
where
   ca.[Indeterminate] = 0 and
   f.[Percental]   = @Percental and
   f.[AffectsUnits]= @AffectsUnits

----------------------------------------------------------------------------------------------------
$(END)
/*================================================================================================*/
GO
--grant exec on [$(Procedure)] to [$(ident_AuthorizedGroup)]
GO
/*
exec [PaycorMaster:GetActiveCauses] 1,1
exec [PaycorMaster:GetActiveCauses] 1,0
exec [PaycorMaster:GetActiveCauses] 0,0
exec [PaycorMaster:GetActiveCauses] 0,1
*/
