:SetVar Procedure "PaycorMaster:GetUnboundDocumentTypes"
exec [sys_DropProcedure] '$(Procedure)'
GO
create procedure [$(Procedure)] (@CauseId uniqueidentifier)
AS
/*================================================================================================*/
/*
##    -   ˨  :
*/
/*================================================================================================*/
$(BEGIN)
----------------------------------------------------------------------------------------------------
--raiserror ('  .',11,1)

if @CauseId is null
   raiserror ('   "$(Procedure)".',11,1)

----------------------------------------------------------------------------------------------------

select
   dt.[Id],
   dt.[Name]
from
   [CORRECTION_DOCUMENT_TYPES] dt (nolock)
left outer join
   [CORRECTION_CAUSE_DOCTYPE_CORRESPONDENCE] c_dt (nolock)
   on c_dt.[CauseId]       = @CauseId and
      c_dt.[DocumentTypeId]= dt.[Id]
where
   dt.[Indeterminate] = 0 and
   c_dt.[CauseId] is null

----------------------------------------------------------------------------------------------------
$(END)
/*================================================================================================*/
GO
--grant exec on [$(Procedure)] to [$(ident_AuthorizedGroup)]
GO
/*
exec [PaycorMaster:GetUnboundDocumentTypes] 'E54FD615-FA0C-44EF-A3CD-643A71D9555C'
*/
