﻿using System;
using System.Reflection;
using System.ComponentModel;

using System.Windows;
using System.Windows.Data;

using XHelpers;

namespace PaycorMaster {

//**************************************************************************************************
public class CorrectionDocumentType: INotifyPropertyChanged {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public event PropertyChangedEventHandler PropertyChanged;

//--------------------------------------------------------------------------------------------------

public CorrectionDocumentType(Guid id,string name)
{
   _Id_ = id; _Name_ = name;
}

//--------------------------------------------------------------------------------------------------

public Guid Id
{
   get { return _Id_; }
}

public string Name
{
   get {
      return _Name_; }
   set {
      _Name_ = value;
      OnPropertyChanged(MethodBase.GetCurrentMethod()); }
}

//--------------------------------------------------------------------------------------------------

public void OnPropertyChanged(string propertyName)
{
   if (PropertyChanged!=null)
      PropertyChanged(this,new PropertyChangedEventArgs(propertyName));
}

//==================================================================================================

void OnPropertyChanged(MethodBase setMethod)
{
   OnPropertyChanged(XPropertyInfo.ExtractNameBySetMethod(setMethod));
}

//==================================================================================================

Guid
   _Id_;
string
   _Name_;

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // CorrectionDocumentType
//**************************************************************************************************

} // PaycorMaster
