﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using XHelpers;

namespace PaycorMaster {

//**************************************************************************************************
public partial class StartPage: CustomPage {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public StartPage()
{
   InitializeComponent();
}

//==================================================================================================

void InitializeApplication()
{
   XCursor.Reset();

   if (!App.Initialize())
   {
      XAppWaiting.DisplayStatus( AppCommands.Close.Text );
      XDispatcher.Synchronize(delegate{
         Application.Current.Shutdown( App.FailureExitCode );
      });
      return;
   }

   if (App.DbConnector.IntegratedSecutity && !App.Configuration.AlwaysShowDialog)
   {
      if (App.EstablishDbConnection())
         App.Navigate(typeof(MainPage));
   }
   else
      App.ConnectDatabase();
}

//==================================================================================================

private void Page_Loaded(object sender,RoutedEventArgs e)
{
   Loaded -= Page_Loaded;

   if (App.IsInitialized)
      XBackgroundOperation.WaitOperationDeactivateAppWaiting();
   else
      XBackgroundOperation.Start(
         "Инициализация программы",
         InitializeApplication );
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // StartPage
//**************************************************************************************************

} // PaycorMaster
