@echo off
setlocal
set initial_cd=%CD%

if "%~0"=="SAVE_TEST_OUTPUT_R.cmd" goto BEGIN
cls
echo SAVE TEST OUTPUT (RELEASE):
echo 

:BEGIN
call :RESET_ERROR

call #SETTINGS.cmd
if %errorlevel% neq 0 goto FAILURE

call :DELETE_FILE "%#TestOutputFileName%"
if %errorlevel% neq 0 goto FAILURE

call :CHANGE_DIR "%#OutputDir_R%"
if %errorlevel% neq 0 goto FAILURE

echo.
echo * Saving console output to: "%#TestOutputFileName%" ...
%#TargetModuleName% %* "%#Alpha%" "%#Beta%" "%#Gamma%" > "%initial_cd%\%#TestOutputFileName%"
if %errorlevel% neq 0 goto FAILURE

rem ================================================================================

:SUCCESS
if "%~0"=="SAVE_TEST_OUTPUT_R.cmd" goto FINISH
echo.
echo  SAVE TEST OUTPUT (RELEASE)  SUCCESS 
goto FINISH

:FAILURE
if "%~0"=="SAVE_TEST_OUTPUT_R.cmd" goto ERROR
echo.
echo  ## SAVE TEST (RELEASE)  FAILURE 
goto ERROR

rem ================================================================================

:RESET_ERROR
set errorlevel=0
set errorlevel=
goto :EOF

:CHANGE_DIR
echo.
echo * Changing directory to: "%~1" ...
cd /d "%~1"
goto :EOF

:RESTORE_DIR_SILENT
if /i "%CD%"=="%initial_cd%" goto :EOF
cd /d "%initial_cd%"
if /i "%CD%"=="%initial_cd%" goto :EOF
echo.
echo ## === FATAL ERROR: ===
echo ## Can not restore directory to: "%initial_cd%".
echo ## Batch processing terminated!
echo 
pause
exit

rem ================================================================================

:DELETE_FILE
if not exist "%~1" goto :EOF
echo.
echo * Deleting file: "%~1" ...
del/q "%~1"
if not exist "%~1" goto :EOF
set errorlevel=1
goto :EOF

rem ================================================================================

:ERROR
if "%~0"=="SAVE_TEST_OUTPUT_R.cmd" goto SKIP_ERROR_PAUSE
echo 
pause

:SKIP_ERROR_PAUSE
call :RESTORE_DIR_SILENT

:ERROR_EXIT
endlocal
set errorlevel=1
goto :EOF

:FINISH
if "%~0"=="SAVE_TEST_OUTPUT_R.cmd" goto SKIP_FINISH_PAUSE
echo.
pause

:SKIP_FINISH_PAUSE
call :RESTORE_DIR_SILENT

:NORMAL_EXIT
endlocal
call :RESET_ERROR
goto :EOF

rem ================================================================================
