@echo off
setlocal

if "%~0"=="XRUN_R.cmd" goto BEGIN
cls
echo RUNNING APPLICATION WITH EXTENDED ARGUMENTS (DEBUG):
echo 

:BEGIN
call :RESET_ERROR

call #SETTINGS.cmd
if %errorlevel% neq 0 goto ERROR

call RUN_R.cmd %#ExtendedArguments%
if %errorlevel% neq 0 goto ERROR

goto NORMAL_EXIT

rem ================================================================================

:RESET_ERROR
set errorlevel=0
set errorlevel=
goto :EOF

rem ================================================================================

:ERROR
if "%~0"=="XRUN_R.cmd" goto ERROR_EXIT
echo 
pause

:ERROR_EXIT
endlocal
set errorlevel=1
goto :EOF

:NORMAL_EXIT
endlocal
call :RESET_ERROR
goto :EOF

rem ================================================================================
