@echo off
setlocal

if "%~0"=="SAVE_TEST_OUTPUT_D.cmd" goto BEGIN
cls
echo SAVE TEST OUTPUT WITH EXTENDED ARGUMENTS (DEBUG):
echo 

:BEGIN
call :RESET_ERROR

call #SETTINGS.cmd
if %errorlevel% neq 0 goto ERROR

call SAVE_TEST_OUTPUT_D.cmd %#ExtendedArguments%
if %errorlevel% neq 0 goto FAILURE

rem ================================================================================

:SUCCESS
if "%~0"=="SAVE_TEST_OUTPUT_D.cmd" goto FINISH
echo.
echo  X-SAVE TEST OUTPUT (DEBUG)  SUCCESS 
goto FINISH

:FAILURE
if "%~0"=="SAVE_TEST_OUTPUT_D.cmd" goto ERROR
echo.
echo  ## X-SAVE TEST OUTPUT (DEBUG)  FAILURE 
goto ERROR

rem ================================================================================

:RESET_ERROR
set errorlevel=0
set errorlevel=
goto :EOF

rem ================================================================================

:ERROR
if "%~0"=="SAVE_TEST_OUTPUT_D.cmd" goto ERROR_EXIT
echo 
pause

:ERROR_EXIT
endlocal
set errorlevel=1
goto :EOF

:FINISH
endlocal
call :RESET_ERROR
if "%~0"=="SAVE_TEST_OUTPUT_D.cmd" goto :EOF
echo.
pause
goto :EOF

rem ================================================================================
