﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

namespace XHelpers {

//**************************************************************************************************
partial class XMessageBox {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static string InformationCaption
{
   get
   {
      switch (XCultureInfo.CurrentUINeutralCulture.Name)
      {
      case XNeutralCultureNames.Russian: return "Информация";
      case XNeutralCultureNames.Spanish: return "Información";
      }
      return "Information";
   }
}

public static string ErrorCaption
{
   get
   {
      switch (XCultureInfo.CurrentUINeutralCulture.Name)
      {
      case XNeutralCultureNames.Russian: return "Ошибка";
      case XNeutralCultureNames.Spanish: return "Error";
      }
      return "Error";
   }
}

public static string WarningCaption
{
   get
   {
      switch (XCultureInfo.CurrentUINeutralCulture.Name)
      {
      case XNeutralCultureNames.Russian: return "Предупреждение";
      case XNeutralCultureNames.Spanish: return "Advertencia";
      }
      return "Warning";
   }
}

public static string ExclamationCaption
{
   get
   {
      switch (XCultureInfo.CurrentUINeutralCulture.Name)
      {
      case XNeutralCultureNames.Russian: return "Внимание";
      case XNeutralCultureNames.Spanish: return "Atención";
      }
      return "Attention";
   }
}

public static string QuestionCaption
{
   get
   {
      switch (XCultureInfo.CurrentUINeutralCulture.Name)
      {
      case XNeutralCultureNames.Russian: return "Вопрос";
      case XNeutralCultureNames.Spanish: return "Pregunta";
      }
      return "Question";
   }
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XMessageBox
//**************************************************************************************************

} // XHelpers
