﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Runtime.InteropServices;

namespace XHelpers {

//**************************************************************************************************
partial class XConsole {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static void PrintDashAlignedBulletedList( [Optional] string caption,
                                                 string[] captions,
                                                 string[] values )
{
   PrintDashAlignedBulletedList(false,caption,captions,values);
}

//==================================================================================================

public static void PrintDashAlignedBulletedList(string[] captions,string[] values)
{
   PrintDashAlignedBulletedList(false,captions,values);
}

public static void PrintDashAlignedBulletedList( string[] captions,
                                                 ConsoleColor? captionColor,
                                                 string[] values )
{
   PrintDashAlignedBulletedList(false,captions,captionColor,values);
}

//--------------------------------------------------------------------------------------------------

public static void PrintDashAlignedBulletedList( string[] captions,
                                                 string[] values,
                                                 ConsoleColor? valueColor )
{
   PrintDashAlignedBulletedList(false,captions,values,valueColor);
}

public static void PrintDashAlignedBulletedList( string[] captions, ConsoleColor? captionColor,
                                                 string[] values, ConsoleColor? valueColor )
{
   PrintDashAlignedBulletedList(false,captions,captionColor,values,valueColor);
}

//--------------------------------------------------------------------------------------------------

public static void PrintDashAlignedBulletedList( string[] captions, ConsoleColor? captionColor,
                                                 string[] values, ConsoleColor? valueColor,
                                                 ConsoleColor? dashColor )
{
   PrintDashAlignedBulletedList(false,captions,captionColor,values,valueColor,dashColor);
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XConsole
//**************************************************************************************************

} // XHelpers
