﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Runtime.InteropServices;

namespace XHelpers {

//**************************************************************************************************
partial class XConsole {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static void PrintEquationList([Optional] string caption,string[] captions,string[] values)
{
   PrintEquationList(false,caption,captions,values);
}

//==================================================================================================

public static void PrintEquationList(string[] captions,string[] values)
{
   PrintEquationList(false,captions,values);
}

public static void PrintEquationList(string[] captions,ConsoleColor? captionColor,string[] values)
{
   PrintEquationList(false,captions,captionColor,values);
}

//--------------------------------------------------------------------------------------------------

public static void PrintEquationList(string[] captions,string[] values,ConsoleColor? valueColor)
{
   PrintEquationList(false,captions,values,valueColor);
}

public static void PrintEquationList( string[] captions, ConsoleColor? captionColor,
                                      string[] values, ConsoleColor? valueColor )
{
   PrintEquationList(false,captions,captionColor,values,valueColor);
}

//--------------------------------------------------------------------------------------------------

public static void PrintEquationList( string[] captions, ConsoleColor? captionColor,
                                      string[] values, ConsoleColor? valueColor,
                                      ConsoleColor? equationLigamentColor )
{
   PrintEquationList(false,captions,captionColor,values,valueColor,equationLigamentColor);
}

//--------------------------------------------------------------------------------------------------

public static void PrintEquationList( string[] captions, ConsoleColor? captionColor,
                                      string[] values, ConsoleColor? valueColor,
                                      char? bulletChar, ConsoleColor? bulletColor,
                                      ConsoleColor? equationLigamentColor )
{
   PrintEquationList( false,
      captions, captionColor, values, valueColor,
      bulletChar, bulletColor, equationLigamentColor );
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XConsole
//**************************************************************************************************

} // XHelpers
