﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Runtime.InteropServices;

namespace XHelpers {

//**************************************************************************************************
/// <summary>
/// </summary>
public delegate string XConsoleKeyToStringCallback( ConsoleKey key,
                                                    [Optional] ConsoleModifiers modifiers );
//**************************************************************************************************


//**************************************************************************************************
/// <summary>
/// </summary>
public delegate bool XAcceptConsoleInputKeyCallback(ConsoleKeyInfo keyInfo);
//**************************************************************************************************


//**************************************************************************************************
/// <summary>
/// </summary>
public delegate bool XValidateConsoleInputCallback(string str);
//**************************************************************************************************


//**************************************************************************************************
/// <summary>
/// </summary>
public delegate bool XConsoleInputIdlePollingCallback();
//**************************************************************************************************


//**************************************************************************************************
/// <summary>
/// </summary>
[Flags]
public enum XConsoleInputOptions
{
   None = 0,
   RequireNonEmpty      = 1 << 0,
   DisallowCancellation = 1 << 1,
   PasswordMasking      = 1 << 2
}
//**************************************************************************************************

} // XHelpers
