﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

namespace XHelpers {

//**************************************************************************************************
partial class XUnicode {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public const char
   LightHorizontal                  = '\u2500',
   LightVertical                    = '\u2502',
   LightDownAndRight                = '\u250C',
   LightDownAndLeft                 = '\u2510',
   LightUpAndRight                  = '\u2514',
   LightUpAndLeft                   = '\u2518',
   LightVerticalAndRight            = '\u251C',
   LightVerticalAndLeft             = '\u2524',
   LightDownAndHorizontal           = '\u252C',
   LightUpAndHorizontal             = '\u2534',
   LightVerticalAndHorizontal       = '\u253C',
   DoubleHorizontal                 = '\u2550',
   DoubleVertical                   = '\u2551',
   DownSingleAndRightDouble         = '\u2552',
   DownDoubleAndRightSingle         = '\u2553',
   DoubleDownAndRight               = '\u2554',
   DownSingleAndLeftDouble          = '\u2555',
   DownDoubleAndLeftSingle          = '\u2556',
   DoubleDownAndLeft                = '\u2557',
   UpSingleAndRightDouble           = '\u2558',
   UpDoubleAndRightSingle           = '\u2559',
   DoubleUpAndRight                 = '\u255A',
   UpSingleAndLeftDouble            = '\u255B',
   UpDoubleAndLeftSingle            = '\u255C',
   DoubleUpAndLeft                  = '\u255D',
   VerticalSingleAndRightDouble     = '\u255E',
   VerticalDoubleAndRightSingle     = '\u255F',
   DoubleVerticalAndRight           = '\u2560',
   VerticalSingleAndLeftDouble      = '\u2561',
   VerticalDoubleAndLeftSingle      = '\u2562',
   DoubleVerticalAndLeft            = '\u2563',
   DownSingleAndHorizontalDouble    = '\u2564',
   DownDoubleAndHorizontalSingle    = '\u2565',
   DoubleDownAndHorizontal          = '\u2566',
   UpSingleAndHorizontalDouble      = '\u2567',
   UpDoubleAndHorizontalSingle      = '\u2568',
   DoubleUpAndHorizontal            = '\u2569',
   VerticalSingleAndHorizontalDouble= '\u256A',
   VerticalDoubleAndHorizontalSingle= '\u256B',
   DoubleVerticalAndHorizontal      = '\u256C';

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XUnicode
//**************************************************************************************************

} // XHelpers
