﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

namespace XHelpers {

//**************************************************************************************************
partial class XUnicode {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public const char
   PartialDifferential = '\u2202',
   Increment           = '\u2206',
   NAryProduct         = '\u220F',
   NArySummation       = '\u2211',
   MinusSign           = '\u2212',
   DivisionSlash       = '\u2215',
   BulletOperator      = '\u2219',
   SquareRoot          = '\u221A',
   Infinity            = '\u221E',
   RightAngle          = '\u221F',
   Intersection        = '\u2229',
   Integral            = '\u222B',
   AlmostEqualTo       = '\u2248',
   NotEqualTo          = '\u2260',
   IdenticalTO         = '\u2261',
   LessThatOrEqualTo   = '\u2264',
   GreaterThanOrEqualTo= '\u2265';

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XUnicode
//**************************************************************************************************

} // XHelpers
