﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;

namespace XHelpers {

//**************************************************************************************************
/// <summary>
/// </summary>
public partial class XAppFailedException<T>: XAppFailedException {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public XAppFailedException()
   {}

//--------------------------------------------------------------------------------------------------

public XAppFailedException(string message)
   :base(message) {}

public XAppFailedException(string message,Exception innerException)
   :base(message,innerException) {}

public XAppFailedException(string message,int exitCode)
   :base(message,exitCode) {}

public XAppFailedException(string message,Exception innerException,int exitCode)
   :base(message,innerException,exitCode) {}

//--------------------------------------------------------------------------------------------------

public XAppFailedException(int exitCode)
   :base(exitCode) {}

public XAppFailedException(Exception innerException)
   :base(innerException) {}

public XAppFailedException(Exception innerException,int exitCode)
   :base(innerException,exitCode) {}

//==================================================================================================

public XAppFailedException(T associatedData)
   :base(associatedData) {}

//--------------------------------------------------------------------------------------------------

public XAppFailedException(string message,T associatedData)
   :base(message,associatedData) {}

public XAppFailedException(string message,Exception innerException,T associatedData)
   :base(message,innerException,associatedData) {}

public XAppFailedException(string message,int exitCode,T associatedData)
   :base(message,exitCode,associatedData) {}

public XAppFailedException( string message, Exception innerException,
                          int exitCode, T associatedData )
   :base(message,innerException,exitCode,associatedData) {}

//--------------------------------------------------------------------------------------------------

public XAppFailedException(int exitCode,T associatedData)
   :base(exitCode,associatedData) {}

public XAppFailedException(Exception innerException,T associatedData)
   :base(innerException,associatedData) {}

public XAppFailedException(Exception innerException,int exitCode,T associatedData)
   :base(innerException,exitCode,associatedData) {}

//==================================================================================================

public new T AssociatedData
{
   get { return (T)base.AssociatedData; }
}

//==================================================================================================

static XAppFailedException()
{
   Library.Access();
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XAppFailedException<T>
//**************************************************************************************************

} // XHelpers
