﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;

namespace XHelpers {

//**************************************************************************************************
/// <summary>
/// </summary>
public partial class XAppFailedException: XAppExitException {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public XAppFailedException()
   {}

//--------------------------------------------------------------------------------------------------

public XAppFailedException(string message)
   :base(message) {}

public XAppFailedException(string message,Exception innerException)
   :base(message,innerException) {}

public XAppFailedException(string message,int exitCode)
   :base(message,exitCode) {}

public XAppFailedException(string message,Exception innerException,int exitCode)
   :base(message,innerException,exitCode) {}

//--------------------------------------------------------------------------------------------------

public XAppFailedException(int exitCode)
   :base(exitCode) {}

public XAppFailedException(Exception innerException)
   :base(innerException) {}

public XAppFailedException(Exception innerException,int exitCode)
   :base(innerException,exitCode) {}

//==================================================================================================

public XAppFailedException(object associatedData)
   :base(associatedData) {}

//--------------------------------------------------------------------------------------------------

public XAppFailedException(string message,object associatedData)
   :base(message,associatedData) {}

public XAppFailedException(string message,Exception innerException,object associatedData)
   :base(message,innerException,associatedData) {}

public XAppFailedException(string message,int exitCode,object associatedData)
   :base(message,exitCode,associatedData) {}

public XAppFailedException( string message, Exception innerException,
                            int exitCode, object associatedData )
   :base(message,innerException,exitCode,associatedData) {}

//--------------------------------------------------------------------------------------------------

public XAppFailedException(int exitCode,object associatedData)
   :base(exitCode,associatedData) {}

public XAppFailedException(Exception innerException,object associatedData)
   :base(innerException,associatedData) {}

public XAppFailedException(Exception innerException,int exitCode,object associatedData)
   :base(innerException,exitCode,associatedData) {}

//==================================================================================================

static XAppFailedException()
{
   Library.Access();
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XAppFailedException
//**************************************************************************************************

} // XHelpers
