﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;

namespace XHelpers {

//**************************************************************************************************
/// <summary>
/// </summary>
public abstract partial class XEscapeException: XException {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public XEscapeException()
   {}

public XEscapeException(string message)
   :base (message) {}

public XEscapeException(Exception innerException)
   :base (innerException) {}

public XEscapeException(string message,Exception innerException)
   :base(message,innerException) {}

//--------------------------------------------------------------------------------------------------

public XEscapeException(object associatedData)
   :base (associatedData) {}

public XEscapeException(string message,object associatedData)
   :base (message,associatedData) {}

public XEscapeException(Exception innerException,object associatedData)
   :base (innerException,associatedData) {}

public XEscapeException(string message,Exception innerException,object associatedData)
   :base(message,innerException,associatedData) {}

//==================================================================================================

static XEscapeException()
{
   Library.Access();
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XEscapeException
//**************************************************************************************************

} // XHelpers
