﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Runtime.Serialization;

namespace XHelpers {

//**************************************************************************************************
#if !SILVERLIGHT
[Serializable]
#endif // !SILVERLIGHT
public partial class XOperationFailedException<T>: XOperationFailedException {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public XOperationFailedException()
   {}

public XOperationFailedException(string message)
   :base (message) {}

public XOperationFailedException(Exception innerException)
   :base (innerException) {}

//--------------------------------------------------------------------------------------------------

public XOperationFailedException(object associatedData)
   :base (associatedData) {}

public XOperationFailedException(string message,object associatedData)
   :base (message,associatedData) {}

public XOperationFailedException(Exception innerException,object associatedData)
   :base (innerException,associatedData) {}

//--------------------------------------------------------------------------------------------------

public new T AssociatedData
{
   get { return (T)base.AssociatedData; }
   set { AssociatedData = value; }
}

//==================================================================================================

#if !SILVERLIGHT
protected XOperationFailedException(SerializationInfo info,StreamingContext context)
   :base(info,context) {}
#endif // !SILVERLIGHT

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XOperationFailedException<T>
//**************************************************************************************************

} // XHelpers
