﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;

namespace XHelpers {

//**************************************************************************************************
/// <summary>
/// </summary>
public static partial class XNeutralCultureNames {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public const string
   Invariant         = "",       // Invariant Language (Invariant Country)
   Afrikaans         = "af",     // Afrikaans
   Albanian          = "sq",     // Albanian
   Arabic            = "ar",     // Arabic
   Armenian          = "hy",     // Armenian
   Azeri             = "az",     // Azeri
   Basque            = "eu",     // Basque
   Belarusian        = "be",     // Belarusian
   Bulgarian         = "bg",     // Bulgarian
   Catalan           = "ca",     // Catalan
   ChineseSimplified = "zh-CHS", // Chinese (Simplified)
   ChineseTraditional= "zh-CHT", // Chinese (Traditional)
   Croatian          = "hr",     // Croatian
   Czech             = "cs",     // Czech
   Danish            = "da",     // Danish
   Divehi            = "dv",     // Divehi
   Dutch             = "nl",     // Dutch
   English           = "en",     // English
   Estonian          = "et",     // Estonian
   Faroese           = "fo",     // Faroese
   Finnish           = "fi",     // Finnish
   French            = "fr",     // French
   Galician          = "gl",     // Galician
   Georgian          = "ka",     // Georgian
   German            = "de",     // German
   Greek             = "el",     // Greek
   Gujarati          = "gu",     // Gujarati
   Hebrew            = "he",     // Hebrew
   Hindi             = "hi",     // Hindi
   Hungarian         = "hu",     // Hungarian
   Icelandic         = "is",     // Icelandic
   Indonesian        = "id",     // Indonesian
   Italian           = "it",     // Italian
   Japanese          = "ja",     // Japanese
   Kannada           = "kn",     // Kannada
   Kazakh            = "kk",     // Kazakh
   Kiswahili         = "sw",     // Kiswahili
   Konkani           = "kok",    // Konkani
   Korean            = "ko",     // Korean
   Kyrgyz            = "ky",     // Kyrgyz
   Latvian           = "lv",     // Latvian
   Lithuanian        = "lt",     // Lithuanian
   Macedonian        = "mk",     // Macedonian
   Malay             = "ms",     // Malay
   Marathi           = "mr",     // Marathi
   Mongolian         = "mn",     // Mongolian
   Norwegian         = "no",     // Norwegian
   Persian           = "fa",     // Persian
   Polish            = "pl",     // Polish
   Portuguese        = "pt",     // Portuguese
   Punjabi           = "pa",     // Punjabi
   Romanian          = "ro",     // Romanian
   Russian           = "ru",     // Russian
   Sanskrit          = "sa",     // Sanskrit
   Serbian           = "sr",     // Serbian
   Slovak            = "sk",     // Slovak
   Slovenian         = "sl",     // Slovenian
   Spanish           = "es",     // Spanish
   Swedish           = "sv",     // Swedish
   Syriac            = "syr",    // Syriac
   Tamil             = "ta",     // Tamil
   Tatar             = "tt",     // Tatar
   Telugu            = "te",     // Telugu
   Thai              = "th",     // Thai
   Turkish           = "tr",     // Turkish
   Ukrainian         = "uk",     // Ukrainian
   Urdu              = "ur",     // Urdu
   Uzbek             = "uz",     // Uzbek
   Vietnamese        = "vi";     // Vietnamese

//==================================================================================================

static XNeutralCultureNames()
{
   Library.Access();
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XNeutralCultureNames
//**************************************************************************************************

} // XHelpers
