﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Globalization;

namespace XHelpers {

//**************************************************************************************************
public static partial class XByte {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static bool TryParse(string src,out byte dst)
   { return XValueParser.TryParse(src,out dst); }
public static bool TryParse(string src,byte def,out byte dst)
   { return XValueParser.TryParse(src,def,out dst); }

public static bool TryParse(string src,NumberStyles styles,out byte dst)
   { return XNumParser.TryParse(src,styles,out dst); }
public static bool TryParse(string src,NumberStyles styles,byte def,out byte dst)
   { return XNumParser.TryParse(src,styles,def,out dst); }

public static bool TryParse( string src, IFormatProvider provider,
                             out byte dst )
   { return XValueParser.TryParse(src,provider,out dst); }
public static bool TryParse( string src, IFormatProvider provider, byte def,
                             out byte dst )
   { return XValueParser.TryParse(src,provider,def,out dst); }

public static bool TryParse( string src, NumberStyles styles, IFormatProvider provider,
                             out byte dst )
   { return XNumParser.TryParse(src,styles,provider,out dst); }
public static bool TryParse( string src, NumberStyles styles,
                             IFormatProvider provider, byte def,
                             out byte dst )
   { return XNumParser.TryParse(src,styles,provider,def,out dst); }

//--------------------------------------------------------------------------------------------------

public static bool TryParseInvariant(string src,out byte dst)
   { return XNumParser.TryParseInvariant(src,out dst); }
public static bool TryParseInvariant(string src,byte def,out byte dst)
   { return XNumParser.TryParseInvariant(src,def,out dst); }

public static bool TryParseInvariant( string src, NumberStyles styles,
                                      out byte dst )
   { return XNumParser.TryParseInvariant(src,styles,out dst); }
public static bool TryParseInvariant( string src, NumberStyles styles, byte def,
                                      out byte dst )
   { return XNumParser.TryParseInvariant(src,styles,def,out dst); }

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XByte
//**************************************************************************************************

} // XHelpers
