﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Globalization;

namespace XHelpers {

//**************************************************************************************************
/// <summary>
/// </summary>
public static partial class XDateTime {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static long TicksToMilliseconds(long ticks)
{
   return ticks / 10000;
}

public static long MillisecondsToTicks(long milliseconds)
{
   return milliseconds * 10000;
}

//--------------------------------------------------------------------------------------------------

public static long ElapsedMilliseconds(DateTime since)
{
   return ElapsedMilliseconds( since, DateTime.Now );
}

public static long ElapsedMilliseconds(DateTime from,DateTime to)
{
   return TicksToMilliseconds( (to-from).Ticks );
}

//==================================================================================================

static XDateTime()
{
   Library.Access();
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XDateTime
//**************************************************************************************************

} // XHelpers
