﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Globalization;

namespace XHelpers {

//**************************************************************************************************
public static partial class XDecimal {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static bool TryParse(string src,out decimal dst)
   { return XValueParser.TryParse(src,out dst); }
public static bool TryParse(string src,decimal def,out decimal dst)
   { return XValueParser.TryParse(src,def,out dst); }

public static bool TryParse(string src,NumberStyles styles,out decimal dst)
   { return XNumParser.TryParse(src,styles,out dst); }
public static bool TryParse( string src, NumberStyles styles, decimal def,
                             out decimal dst )
   { return XNumParser.TryParse(src,styles,def,out dst); }

public static bool TryParse( string src, IFormatProvider provider,
                             out decimal dst )
   { return XValueParser.TryParse(src,provider,out dst); }
public static bool TryParse( string src, IFormatProvider provider, decimal def,
                             out decimal dst )
   { return XValueParser.TryParse(src,provider,def,out dst); }

public static bool TryParse( string src, NumberStyles styles, IFormatProvider provider,
                             out decimal dst )
   { return XNumParser.TryParse(src,styles,provider,out dst); }
public static bool TryParse( string src, NumberStyles styles,
                             IFormatProvider provider, decimal def,
                             out decimal dst )
   { return XNumParser.TryParse(src,styles,provider,def,out dst); }

//--------------------------------------------------------------------------------------------------

public static bool TryParseInvariant(string src,out decimal dst)
   { return XNumParser.TryParseInvariant(src,out dst); }
public static bool TryParseInvariant(string src,decimal def,out decimal dst)
   { return XNumParser.TryParseInvariant(src,def,out dst); }

public static bool TryParseInvariant( string src, NumberStyles styles,
                                      out decimal dst )
   { return XNumParser.TryParseInvariant(src,styles,out dst); }
public static bool TryParseInvariant( string src, NumberStyles styles, decimal def,
                                      out decimal dst )
   { return XNumParser.TryParseInvariant(src,styles,def,out dst); }

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XDecimal
//**************************************************************************************************

} // XHelpers
