﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Globalization;

namespace XHelpers {

//**************************************************************************************************
public static partial class XInt16 {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static Int16 Parse(string src)
   { return XValueParser.Parse<Int16>(src); }
public static Int16 Parse(string src,Int16 def)
   { return XValueParser.Parse<Int16>(src,def); }

public static Int16 Parse(string src,NumberStyles styles)
   { return XNumParser.Parse<Int16>(src,styles); }
public static Int16 Parse(string src,NumberStyles styles,Int16 def)
   { return XNumParser.Parse<Int16>(src,styles,def); }

public static Int16 Parse(string src,IFormatProvider provider)
   { return XValueParser.Parse<Int16>(src,provider); }
public static Int16 Parse(string src,IFormatProvider provider,Int16 def)
   { return XValueParser.Parse<Int16>(src,provider,def); }

public static Int16 Parse(string src,NumberStyles styles,IFormatProvider provider)
   { return XNumParser.Parse<Int16>(src,styles,provider); }
public static Int16 Parse(string src,NumberStyles styles,IFormatProvider provider,Int16 def)
   { return XNumParser.Parse<Int16>(src,styles,provider,def); }

//--------------------------------------------------------------------------------------------------

public static Int16 ParseInvariant(string src)
   { return XNumParser.ParseInvariant<Int16>(src); }
public static Int16 ParseInvariant(string src,Int16 def)
   { return XNumParser.ParseInvariant<Int16>(src,def); }

public static Int16 ParseInvariant(string src,NumberStyles styles)
   { return XNumParser.ParseInvariant<Int16>(src,styles); }
public static Int16 ParseInvariant(string src,NumberStyles styles,Int16 def)
   { return XNumParser.ParseInvariant<Int16>(src,styles,def); }

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XInt16
//**************************************************************************************************

} // XHelpers
