﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Globalization;

namespace XHelpers {

//**************************************************************************************************
public static partial class XInt16 {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static bool TryParse(string src,out Int16 dst)
   { return XValueParser.TryParse(src,out dst); }
public static bool TryParse(string src,Int16 def,out Int16 dst)
   { return XValueParser.TryParse(src,def,out dst); }

public static bool TryParse(string src,NumberStyles styles,out Int16 dst)
   { return XNumParser.TryParse(src,styles,out dst); }
public static bool TryParse( string src, NumberStyles styles, Int16 def,
                             out Int16 dst )
   { return XNumParser.TryParse(src,styles,def,out dst); }

public static bool TryParse( string src, IFormatProvider provider,
                             out Int16 dst )
   { return XValueParser.TryParse(src,provider,out dst); }
public static bool TryParse( string src, IFormatProvider provider, Int16 def,
                             out Int16 dst )
   { return XValueParser.TryParse(src,provider,def,out dst); }

public static bool TryParse( string src, NumberStyles styles, IFormatProvider provider,
                             out Int16 dst )
   { return XNumParser.TryParse(src,styles,provider,out dst); }
public static bool TryParse( string src, NumberStyles styles,
                             IFormatProvider provider, Int16 def,
                             out Int16 dst )
   { return XNumParser.TryParse(src,styles,provider,def,out dst); }

//--------------------------------------------------------------------------------------------------

public static bool TryParseInvariant(string src,out Int16 dst)
   { return XNumParser.TryParseInvariant(src,out dst); }
public static bool TryParseInvariant(string src,Int16 def,out Int16 dst)
   { return XNumParser.TryParseInvariant(src,def,out dst); }

public static bool TryParseInvariant( string src, NumberStyles styles,
                                      out Int16 dst )
   { return XNumParser.TryParseInvariant(src,styles,out dst); }
public static bool TryParseInvariant( string src, NumberStyles styles, Int16 def,
                                      out Int16 dst )
   { return XNumParser.TryParseInvariant(src,styles,def,out dst); }

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XInt16
//**************************************************************************************************

} // XHelpers
