﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Globalization;

namespace XHelpers {

//**************************************************************************************************
public static partial class XSByte {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static SByte Parse(string src)
   { return XValueParser.Parse<SByte>(src); }
public static SByte Parse(string src,SByte def)
   { return XValueParser.Parse<SByte>(src,def); }

public static SByte Parse(string src,NumberStyles styles)
   { return XNumParser.Parse<SByte>(src,styles); }
public static SByte Parse(string src,NumberStyles styles,SByte def)
   { return XNumParser.Parse<SByte>(src,styles,def); }

public static SByte Parse(string src,IFormatProvider provider)
   { return XValueParser.Parse<SByte>(src,provider); }
public static SByte Parse(string src,IFormatProvider provider,SByte def)
   { return XValueParser.Parse<SByte>(src,provider,def); }

public static SByte Parse(string src,NumberStyles styles,IFormatProvider provider)
   { return XNumParser.Parse<SByte>(src,styles,provider); }
public static SByte Parse(string src,NumberStyles styles,IFormatProvider provider,SByte def)
   { return XNumParser.Parse<SByte>(src,styles,provider,def); }

//--------------------------------------------------------------------------------------------------

public static SByte ParseInvariant(string src)
   { return XNumParser.ParseInvariant<SByte>(src); }
public static SByte ParseInvariant(string src,SByte def)
   { return XNumParser.ParseInvariant<SByte>(src,def); }

public static SByte ParseInvariant(string src,NumberStyles styles)
   { return XNumParser.ParseInvariant<SByte>(src,styles); }
public static SByte ParseInvariant(string src,NumberStyles styles,SByte def)
   { return XNumParser.ParseInvariant<SByte>(src,styles,def); }

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XSByte
//**************************************************************************************************

} // XHelpers
