﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Globalization;

namespace XHelpers {

//**************************************************************************************************
public static partial class XSByte {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static bool TryParse(string src,out SByte dst,out XParseValueException e)
   { return XValueParser.TryParse(src,out dst,out e); }
public static bool TryParse(string src,SByte def,out SByte dst,out XParseValueException e)
   { return XValueParser.TryParse(src,def,out dst,out e); }

public static bool TryParse( string src, NumberStyles styles,
                             out SByte dst, out XParseValueException e )
   { return XNumParser.TryParse(src,styles,out dst,out e); }
public static bool TryParse( string src, NumberStyles styles, SByte def,
                             out SByte dst, out XParseValueException e )
   { return XNumParser.TryParse(src,styles,def,out dst,out e); }

public static bool TryParse( string src, IFormatProvider provider,
                             out SByte dst, out XParseValueException e )
   { return XValueParser.TryParse(src,provider,out dst,out e); }
public static bool TryParse( string src, IFormatProvider provider, SByte def,
                             out SByte dst, out XParseValueException e )
   { return XValueParser.TryParse(src,provider,def,out dst,out e); }

public static bool TryParse( string src, NumberStyles styles, IFormatProvider provider,
                             out SByte dst, out XParseValueException e )
   { return XNumParser.TryParse(src,styles,provider,out dst,out e); }
public static bool TryParse( string src, NumberStyles styles,
                             IFormatProvider provider, SByte def,
                             out SByte dst, out XParseValueException e )
   { return XNumParser.TryParse(src,styles,provider,def,out dst,out e); }

//--------------------------------------------------------------------------------------------------

public static bool TryParseInvariant(string src,out SByte dst,out XParseValueException e)
   { return XNumParser.TryParseInvariant(src,out dst,out e); }
public static bool TryParseInvariant( string src, SByte def,
                                      out SByte dst, out XParseValueException e )
   { return XNumParser.TryParseInvariant(src,def,out dst,out e); }

public static bool TryParseInvariant( string src, NumberStyles styles,
                                      out SByte dst, out XParseValueException e )
   { return XNumParser.TryParseInvariant(src,styles,out dst,out e); }
public static bool TryParseInvariant( string src, NumberStyles styles, SByte def,
                                      out SByte dst, out XParseValueException e )
   { return XNumParser.TryParseInvariant(src,styles,def,out dst,out e); }

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XSByte
//**************************************************************************************************

} // XHelpers
