﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Reflection;
using System.Security.Permissions;

namespace XHelpers {

//**************************************************************************************************
[PermissionSetAttribute(SecurityAction.Demand,Unrestricted=true)]
static class UnsafeHelpers {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

//--------------------------------------------------------------------------------------------------

//==================================================================================================

public static void Access()
{}

//==================================================================================================

static UnsafeHelpers()
{
   Assembly assembly = null;
   foreach (var asm in AppDomain.CurrentDomain.GetAssemblies())
      if (asm.GetName().Name=="XHelpers.PAccess")
      {
         assembly = asm; break;
      }
   assembly = assembly ?? Assembly.Load(string.Format(
      "XHelpers.PAccess, Version={0}, Culture=neutral, PublicKeyToken={1}",
      XHelpersInfo.VersionString, XHelpersInfo.PublicKeyTokenString ));
   _UnsafeHelpersClass_ = assembly.GetType(
      "XHelpers.UnsafeHelpers", true );
   XMethodInfo.InvokeStaticMethod(
      _UnsafeHelpersClass_, "Access" );
}

//--------------------------------------------------------------------------------------------------

static object Invoke(string methodName,params object[] parameters)
{
   return XMethodInfo.InvokeStaticMethod(_UnsafeHelpersClass_,methodName,parameters);
}

//==================================================================================================

static readonly Type
   _UnsafeHelpersClass_;

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // UnsafeHelpers
//**************************************************************************************************

} // XHelpers
