﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using System;
using System.Runtime.InteropServices;

namespace XHelpers {

//**************************************************************************************************
static partial class Win32 {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public const uint
   STD_OUTPUT_HANDLE    = unchecked((uint)-11),
   MB_ICONERROR         = 0x00000010,
   MB_YESNO             = 0x00000004,
   MB_OK                = 0x00000000,
   MB_SYSTEMMODAL       = 0x00001000,
   IDYES                = 6;

public static readonly IntPtr
   INVALID_HANDLE_VALUE = (IntPtr)(-1),
   IDC_WAIT             = (IntPtr)(ushort)32514;

//==================================================================================================

[DllImport("User32.dll",CharSet=CharSet.Unicode,SetLastError=true)]
public extern static int MessageBox(IntPtr hWnd,string strText,string strCaption,uint uType);

[DllImport("User32.dll",CharSet=CharSet.Unicode,SetLastError=true)]
public extern static IntPtr LoadCursor(IntPtr hInstance,IntPtr ipCursorId);

[DllImport("User32.dll",CharSet=CharSet.Unicode,SetLastError=true)]
public extern static IntPtr SetCursor(IntPtr hCursor);

[DllImport("Kernel32.dll",CharSet=CharSet.Unicode,SetLastError=true)]
public static extern IntPtr GetStdHandle(uint uStdHandle);

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // Win32
//**************************************************************************************************

} // XHelpers
