﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

namespace XHelpers {

using System;
using System.Reflection;

using System.Windows;

//**************************************************************************************************
/// <summary>
/// </summary>
public static partial class XResources {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static ComponentResourceKey BusyOverlayDataTemplateKey
   { get { return CreateKey( MethodInfo.GetCurrentMethod() ); } }

public static ComponentResourceKey SimpleBusyOverlayDataTemplateKey
   { get { return CreateKey( MethodInfo.GetCurrentMethod() ); } }

//==================================================================================================

static XResources()
{
   Library.Access();
}

//--------------------------------------------------------------------------------------------------

static ComponentResourceKey CreateKey(MethodBase getMethod)
{
   string propertyName =
      XPropertyInfo.ExtractNameByGetMethod( getMethod );
   return new ComponentResourceKey(
      typeof(XResources),
      propertyName.Substring(0,propertyName.Length-3) );
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XResources
//**************************************************************************************************

} // XHelpers
