﻿//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// XHelpers Solution Library (Freeware);  Author: Sergei Kitaev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

namespace XHelpers {

using System;

using System.Windows;
using System.Windows.Input;

//**************************************************************************************************
/// <summary>
/// </summary>
public partial class XWaitCursor: IDisposable {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public XWaitCursor()
{
   XProgram.VerifyIsInMainThread();
   _SavedCursor_ = XCursor.SetWait();
}

//--------------------------------------------------------------------------------------------------

void IDisposable.Dispose()
{
   XProgram.VerifyIsInMainThread();
   XCursor.Override( _SavedCursor_ );
}

//==================================================================================================

static XWaitCursor()
{
   Library.Access();
}

//==================================================================================================

Cursor _SavedCursor_;

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // XWaitCursor
//**************************************************************************************************

} // XHelpers
